2002-01-22  Nick Clifton  <nickc@cambridge.redhat.com>

	* arm/iq80310/init_iq80310.S: Fix typo where 'str' was used with
	'=<expr>' pseudo op, instead of 'ldr'.

2001-08-16  Mark Salter  <msalter@redhat.com>

	* configure.host: Comment out ARM targets.

2001-08-10  Nick Clifton  <nickc@cambridge.redhat.com>

	* arm/include/bsp/cpu.h: Fix compile time warnings.
	* arm/aeb-1/include/bsp/aeb-1.h: Fix compile time warnings.
	* arm/armpid/armpid.c: Fix compile time warnings.
	* arm/armpid/include/bsp/armpid.h: Fix compile time warnings.

2001-02-08  Drew Moseley  <dmoseley@redhat.com>

	* arm/include/insn.h: Add #ifdef for big-endian.  This only fixes the case where
	the exception number is incorrectly determined.  All uses of bit-fields need to be
	scrubbed for Big-endian support.

2000-11-28  Drew Moseley  <dmoseley@redhat.com>

	* arm/sa1110as/elf-sa1110as.specs: Move apps to base 0x20000.
	* arm/sa1110as/coff-sa1110as.specs: Ditto.
	* arm/sa1100mm/elf-sa1100mm.specs: Ditto.
	* arm/sa1100mm/coff-sa1100mm.specs: Ditto.
	* arm/sa1100dp/elf-sa1100dp.specs: Ditto.
	* arm/sa1100dp/coff-sa1100dp.specs: Ditto.
	* arm/sa-iop/elf-sa-iop.specs: Ditto.
	* arm/sa-iop/coff-sa-iop.specs: Ditto.
	* arm/ebsa-285/elf-ebsa-285.specs: Ditto.
	* arm/ebsa-285/coff-ebsa-285.specs: Ditto.
	* arm/iq80310/elf-iq80310.specs: Ditto.
	* arm/iq80310/coff-iq80310.specs: Ditto.

2000-11-13  Drew Moseley  <dmoseley@redhat.com>

	* arm/iq80310/init_iq80310.S: Specify .ltorg before switching sections.

	* arm/iq80310/init_iq80310.S: Removed some duplicate defines.

2000-11-07  Mark Salter  <msalter@redhat.com>

	* arm/iq80310/init_iq80310.S: Add SDRAM sizing.

2000-09-19  Drew Moseley  <dmoseley@redhat.com>

	* syslib/getpid.c: Reverted to old style syslib (ie leading
	underscores only).
	* syslib/gettimeofday.c: Ditto.
	* syslib/isatty.c: Ditto.
	* syslib/kill.c: Ditto.
	* bsp/syslib/lseek.c: Ditto.
	* syslib/open.c: Ditto.
	* syslib/print.c: Ditto.
	* syslib/raise.c: Ditto.
	* syslib/read.c: Ditto.
	* syslib/sbrk.c: Ditto.
	* syslib/unlink.c: Ditto.
	* syslib/write.c: Ditto.

	* common/breakpoint.c: Added a new label "_bsp_force_breakinsn".
	See comment in the source for details.
	* include/bsp/bsp.h: Ditto.

	* arm/irq-cpu.c: Added Xscale interrupt controller.
	Cleaned up some invalid assertions in the debug code.
	* arm/xscale.c: Ditto.
	* arm/include/bsp/xscale.h: Ditto

	* arm/vectors.S: Make sure when we switch modes, we are only
	changing the mode bits (and not the FIQ bit).

	* arm/iq80310/init_iq80310.S: Move some register definitions to
	common header files.

	* arm/iq80310/iq80310.c: Setup the bsp_memory_list properly.
	Enable interrupt driven UART I/O.

	* arm/iq80310/include/bsp/iq80310.h: Set RAM_VIRTUAL_BASE correctly.
	Added new register definitions for 7-Segments LED's.
	Added some debug macros.
	Added new register definitions for XINT3 IQ80310 PAL.

2000-09-11  Drew Moseley  <dmoseley@redhat.com>

	* syslib/getpid.c (getpid): Added getpid() method that is
	identical to _getpid().

	* syslib/kill.c (kill): Added kill() method that is identical to
	_kill().

	* syslib/sbrk.c (sbrk): Added sbrk() method that is identical to
	_sbrk().

	* arm/xaret/coff-xaret-rom.specs: Add some more -u options to
	undef a few more symbols.
	* arm/xaret/coff-xaret.specs: Ditto.
	* arm/xaret/elf-xaret-rom.specs: Ditto.
	* arm/xaret/elf-xaret.specs: Ditto.

2000-09-06  Drew Moseley  <dmoseley@redhat.com>

	* common/bsp.ld: Add entries for small-page tables.

	* arm/vectors.S: Renamed PT_ENTRY to FL_SECTION_ENTRY.  Added
	macros for FL_PT_ENTRY and SL_SMPAGE_ENTRY to support second level
	small page mappings.
	Added small page mapping for the IQ80310 board to write-protect
	the flash.

	* arm/iq80310/init_iq80310.S: Enable per-page access checks to allow
	for write-protecting the flash.

2000-08-29  Rudy Folden  <rfolden@redhat.com>

	* arm/xaret/configure.in: Added big-endian case to gen be libraries.
	* arm/xaret/configure: Regenerated

	* arm/xaret/init_xaret.S: Modified MMU_ENABLE_VALUE to conditionally
	turn on big-endian support in hardware.

2000-08-31  Mark Salter  <msalter@redhat.com>

	* frv/tiger/tiger.c: Fix ISA interrupt handling.
	* frv/include/superio.h: Add define for interrupt control register.
	* frv/exceptions.S: Set interrupt mask *before* ET bit in PSR. 
	Apparently, changing both at the same time allows an interrupt
	to occur.

2000-08-30  Nick Clifton  <nickc@redhat.com>

	* fr30/eval1/mb86964.c (swapb): Rename from swab.  swab is now
	defined in newlib.

	* fr30/eval1/Makefile.in ($(srcdir)/Makefile.in): Fix dependencies
	so that .inc becomes .in.
	
2000-08-30  Drew Moseley  <dmoseley@redhat.com>

	* common/bsp.ld: Use rom_pta* rather than rom_ptable* to handle
	name truncation.

	* arm/vectors.S: Don't use the allocatable flag ("a") for the
	rom_ptable section on COFF targets.

2000-08-29  Drew Moseley  <dmoseley@redhat.com>

	* common/bsp.ld: Provide "end" as well.

2000-08-02  Bill Brown  <bill.e.brown@intel.com>

	* arm/iq80310: added support for IQ80310 board.
	* arm/include/bsp/cpu.h: Ditto.
	* configure.host: Ditto.
	* arm/vectors.S: Ditto.
	* arm/start.S: Ditto.

	* arm/xaret/coff-xaret-rom.specs: Added __YAVAPAI__ define
	* arm/xaret/coff-xaret.specs: Ditto.
	* arm/xaret/elf-xaret-rom.specs: Ditto.
	* arm/xaret/elf-xaret.specs: Ditto.

2000-08-29  Mark Salter  <msalter@redhat.com>

	* frv/tiger/configure.in: Build softfloat library also.
	* frv/tiger/configure: Regenerated.

	* frv/tiger/Makefile.am (AM_CFLAGS): Add HAVE_HW_WATCHPOINT and
	HAVE_HARDWARE_BREAKPOINT.
	* frv/tiger/Makefile.in: Regenerated.
	* frv/include/bsp/cpu.h: Add BRR and DBARn to saved register set.
	* frv/gdb-cpu.c (bsp_hw_breakpoint): New function.
	(bsp_hw_watchpoint): New function.
	* frv/cpu.c (_bsp_break_handler): Save BRR in regs for gdb.
	* frv/stublow.S: Save dbar registers for gdb.
	* common/gdb.c (_bsp_gdb_handler): Add hw watch/breakpoint support.
	* common/breakpoint.c (_bsp_set_breakpoint): New function.
	(_bsp_clear_breakpoint): Ditto:

2000-08-24  Mark Salter  <msalter@redhat.com>

	* frv/tiger/tiger.c: Uncomment cache flush routines.
	* frv/tiger/init_tiger.S: Turn on icache.
	* frv/tiger/tiger.specs: Moved text to SRAM because SDRAM is broken
	on my board.
	* frv/singlestep.c: Added glue around hardware singlestep support to
	avoid being interrupted by an external interrupt.

2000-08-23  Mark Salter  <msalter@redhat.com>

	* frv/tiger/tiger.c (kill_hook): Fixed IRC support.
	* frv/tiger/tiger-rom.specs: Moved data to SRAM (temporary?).
	* frv/tiger/init_tiger.S: Fixed _bsp_clock_vsr for tiger IRC.
	* frv/tiger/Makefile.in: Regenerated.
	* frv/tiger/Makefile.am (AM_CFLAGS): Removed -DUSE_MB86941=1.
	* frv/include/bsp/cpu.h: Added back interrupt enable.
	* frv/include/fr500.h: Added tiger companion defines.
	* frv/vectors.S: Added break trap handling.
	* frv/stublow.S: Now uses debug running state.
	* frv/singlestep.c: Added HW step support.
	* frv/irq-cpu.c: Added support for tiger IRC.
	* frv/cpu.c: Added break exception handler.

2000-08-17  Michael Meissner  <meissner@redhat.com>

	* frv/exceptions.S (_bsp_default_handler): Use SYM_NAME to refer
	to _ex_stack and _normal_return.
	(_normal_return): Ditto.
	(_ex_stack): Ditto.

	* frv/reloc.S (__do_init): Use SYM_NAME to refer to __start_cmp,
	__CTOR_LIST__, __CTOR_END__, __DTOR_LIST__ and __DTOR_END__.
	(__start_cmp): Ditto.

	* frv/stublow.S (_ex_stack): Use SYM_NAME to refer to _ex_stack.
	(_bsp_stub_low): Ditto.

	* frv/include/bsp/cpu.h (__NEED_UNDERSCORE__): Only define if
	-fleading-underscore is used.

2000-08-14  Mark Salter  <msalter@redhat.com>

	* frv/tiger: initial tiger evb support.
	* frv/include/bsp/cpu.h: Keep irqs off till irq support is in place.
	* frv/include/mb86941.h: Support tiger EVB.
	* frv/vectors.S: Modified debug led flashing for tiger.

2000-07-19  Mark Salter  <msalter@redhat.com>

	* arm/vectors.S: Use SYM_NAME macro to get names right for COFF.

2000-07-10  Mark Salter  <msalter@redhat.com>

	* common/gdb.c (gdb_read): Replace stub with real code. Add support
	for DELAY_FLUSH_AFTER_WRITE.
	* common/bsp.ld: Fixed for ROM-based pagetable.
	* arm/sa1110as/sa1110as.c (flash_led): Fixed.
	* arm/sa1110as/init_sa1110as.S: Cleaned up formatting.
	* arm/sa1110as/Makefile.am (COMP_FLAGS): Add -mapcs-frame.
	* arm/sa1110as/Makefile.in: Regenerated.
	* arm/vectors.S: Align exception handlers. Fixed bad stmia insn.
	* arm/start.S: Removed labels from ROM-based vector table.
	* arm/cpu.c (syscall_handler): Use _r12 to set _pc, not _lr.
	* arm/xscale.c (__dcache_flush): Fixed.
	* arm/xaret/Makefile.am (COMP_FLAGS): Added -DDELAY_FLUSH_AFTER_WRITE.
	* arm/xaret/Makefile.in: Regenerated.

2000-07-09  Mark Salter  <msalter@redhat.com>

	* syslib/write.c: Don't use __console_interrupt_flag on older roms.
	* include/bsp_if.h: Add bsp_v1_shared_t structure to match layout in
	older arm boards.
	* common/bsp_if.c: Use bsp_v1_shared_t to access rom structure where
	necessary.
	* common/bsp_reset.c: Ditto.

2000-07-06  Mark Salter  <msalter@redhat.com>

	* mips/dve39/Makefile.am: Added bsp dirs to binary search path.
	* mips/jmr3904/Makefile.am: Ditto.
	* mips/dve39/Makefile.in: Regenerated.
	* mips/jmr3904/Makefile.am: Ditto.

2000-07-05  Mark Salter  <msalter@redhat.com>

	* mips/sim/sim.c: Add .set mips3 before cache insns.
	* mips/cpu.c (__tlb_init): Use ifdef __R3000 instead of ifndef _mips64.
	* mips/crt0.S: Ditto.
	* mips/gdb-cpu.c: Ditto.
	* mips/mem.c: Ditto.
	* mips/start.S: Ditto.
	* mips/stublow.S: Ditto.
	* mips/include/bsp/cpu.h: Ditto.

2000-07-04  Mark Salter  <msalter@redhat.com>

	* mips/dve39/Makefile.am (BOARD_TARGET): Don't link bsp.rom by default.
	* mips/jmr3904/Makefile.am (BOARD_TARGET): Ditto.
	* mips/sim/Makefile.am (BOARD_TARGET): Ditto.
	* mips/dve39/Makefile.in: Regenerated.
	* mips/jmr3904/Makefile.in: Regenerated.
	* mips/sim/Makefile.in: Regenerated.

2000-07-04  Michael Meissner  <meissner@redhat.com>

	* frv/exceptions.S (_bsp_default_handler): Switch to Softune
	syntax.
	* frv/include/bsp/cpu.h (BREAKPOINT{,_OPCODE}): Ditto.
	* frv/sim/sim.c (__{out,in}byte): Ditto.
	* frv/stublow.S (_bsp_stub_low): Ditto.
	* frv/trap.S (_bsp_trap): Ditto.
	* frv/vectors.S (_exc_trampoline): Ditto.

2000-07-04  Mark Salter  <msalter@redhat.com>
	
	* net/tftp.c: New file.
	* common/net.c: Add TFTP support.
	* net/bootp.c: Ditto.
	* include/net.h: Ditto.

2000-06-25  Michael Meissner  <meissner@redhat.com>

	* exceptions.S (_bsp_default_handler): Load up bsp_vsr_table via
	position independent code.
	* vectors.S (_exc_trampoline): Ditto.

	* stublow.S (_bsp_stub_low): Don't assume bsp_dbg_vector is inside
	small data area.

	* tomcat/init_tomcat.S (_bsp_clock_vsr): Load up _bsp_clock via
	position independent code.

	* sim/Makefile.am (COMP_FLAGS): Add -fcommon to options.
	* sim/Makefile.in: Regenerate.

	* tomcat/Makefile.am (COMP_FLAGS): Add -fcommon to options.
	* tomcat/Makefile.in: Regenerate.

2000-06-22  Mark Salter  <msalter@redhat.com>

	* frv/exceptions.S: Use softune syntax for bra.
	* frv/reloc.S: Ditto.
	* frv/stublow.S: Ditto.
	* frv/tomcat/init_tomcat.S: Ditto.
	* frv/vectors.S: Ditto.
	* frv/tomcat/Makefile.am (AM_CFLAGS): Add -DUSE_MB86941.
	Remove GDB_THREAD_SUPPORT.
	* frv/tomcat/Makefile.in: Regenerated.

2000-05-31  Mark Salter  <msalter@redhat.com>

	* frv/tomcat/configure.in: Build for tomcat multilibs.
	* frv/tomcat/configure: Regenerated.
	* frv/exceptions.S: Support -fpic.
	* frv/stublow.S: Ditto.
	* frv/vectors.S: Ditto.

2000-05-30  Mark Salter  <msalter@redhat.com>

	* common/generic-mem.c (bsp_memory_*): Support 64-bit ops if MOVE_64
	defined.
	* frv/include/bsp/cpu.h: Define MOVE_64 to support 64-bit read/write
	in BSP memory routines.

2000-05-16  Mark Salter  <msalter@redhat.com>

	* frv/sim/Makefile.am (BOARD_TARGET): Remove bsp.rom target.
	* frv/tomcat/Makefile.am (BOARD_TARGET): Ditto.
	* frv/sim/Makefile.in: Regenerated.
	* frv/tomcat/Makefile.in: Regenerated.

2000-05-04  Mark Salter  <msalter@redhat.com>

	* arm/Makefile.am: Instal bsp.ld and include files.
	* arm/Makefile.in: Regenerated.
	* arm/configure.in: Add link to bsp.ld.
	* arm/configure: Regenerated.
	* arm/sa1110as/include/bsp/sa1110as.h: Fix led code and BCR setting.

2000-04-07  Mark Salter  <msalter@redhat.com>
	* Converted to automake and added selective multilib support.
	
2000-04-04  Mark Salter  <msalter@redhat.com>
	
	* frv/tomcat/board.mk (HAVE_BSP_CLOCK): Define.
	* frv/tomcat/tomcat.c (kill_hook): Setup clock timer and install ISR.
	* frv/tomcat/ticks.c (_bsp_init_clock_timer): New function.
	* frv/tomcat/init_tomcat.S (_bsp_clock_vsr): ISR for clock interrupt.
	* common/syscall.c (_bsp_do_syscall): Added SYS_utime handler.
	* syslib/times.c (_times): Use trap to get time if HAVE_BSP_CLOCK.

2000-03-29  Michael Meissner  <meissner@redhat.com>

	* common/gdb.c (_bsp_gdb_handler): Move definition of ztype into
	#ifdef code so gdb.c can be built with no warnings.

2000-03-29  Michael Meissner  <meissner@redhat.com>

	* frv/include/bsp/cpu.h (SYSCALL): Remove # from in front of 0, so
	as to not confuse cpp.

	* frv/crt0.S: Add newline at end of file.

2000-03-27  Jim Blandy  <jimb@redhat.com>

	* frv/frv.ld: Fix syntax of EXCLUDE_FILE lists.

2000-03-13  Mark Salter  <msalter@cygnus.com>

	* arm/cma222/board.mk (BOARD_DEFINES): Added BUILD_ANGEL and
	defined BSP_MAX_BP.
	* common/gdb.c (_bsp_gdb_handler): Add support for Z-packet.
	* common/breakpoint.c: Support bsp managed breakpoint list.
	* include/bsp_if.h: Ditto.
	* arm/include/bsp/sa-1100.h: Added some SA1110 defines.
	* arm/include/gdb-cpu.h (IS_GDB_T_REG): Defined.
	* arm/vectors.S: Use macro to inline common part of exception handlers.
	* arm/sa-1100.c: Fixed uart support for assabet board.
	* arm/cpu.c: Added arm-specific support for bsp managed	breakpoints.

2000-02-28  Mark Salter  <msalter@cygnus.com>

	* common/common.mk (COMMON_SRCDIR_EXTRAS): Only include angel if
	BUILD_ANGEL specified.
	* arm/xaret/xaret.c (uart_read): Make non-blocking.
	(_bsp_mmu_init): Fix address mapping for flash and dram.
	* arm/xaret/include/bsp/xaret.h: Fix address defines.
	* arm/xaret/coff-xaret-rom.specs: Fix text and data addresses.
	* arm/xaret/elf-xaret-rom.specs: Ditto.
	* arm/xaret/coff-xaret.specs: Ditto.
	* arm/xaret/elf-xaret.specs: Ditto.
	* arm/vectors.S: Skip to address 0x2000 if __BOARD_XARET__ defined.
	* arm/start.S: Ditto

2000-02-25  Mark Salter  <msalter@cygnus.com>

	* arm/cpu.c: Unconditionally (for now) install adp handler when
	SUPPORT_ADP defined.

	* arm/cma222/cma222.c: Make uart read non-blocking.

	
	* mips/stublow.S: Removed redundant register restores.

	* common/common.mk (INCLUDES): Add support for ANGEL.
	* arm/angel.c: Support for ADP.
	* arm/angel: ARM ADP protocol support.

2000-02-25  Mark Salter  <msalter@cygnus.com>

	* arm/include/bsp/xscale.h: Add some defines for copro regs.
	* arm/qt: Renamed to xaret.
	* arm/xaret: Formet qt.
	* configure.in: Renamed qt to xaret.
	* configure: Regenerated.

2000-02-14  Mark Salter  <msalter@cygnus.com>

	* arm/qt/include/bsp/qt.h: Correct RAM/FLASH defines.
	* arm/qt/qt.c: Modify UART base address. Disable IRQ for now.
	* arm/qt/init_qt.S: Init companion MCU.

2000-02-09  Mark Salter  <msalter@cygnus.com>

	* Major merger from mips branch.
	* mips/start.S: Fix stack switch in exception handler.
	* mips/stublow.S: Ditto.
	* mips/crt0.S: Add conditional code to switch to 64bit mode.
	* mips/mips.ldtempl: Fix ctors/dtors.
	* mips/dve39/board.mk: Add rules for ld scripts. No longer
	list c_start.o and c_bsp-crt0.o as startup files.
	* mips/jmr3904/board.mk: Ditto.
	* mips/dve39/dve39-rom.specs: No longer list c_start.o as startfile.
	* mips/jmr3904/jmr3904-rom.specs: Ditto.
	* mips/dve39/dve39.specs: No longer list c_bsp-crt0.o as startfile.
	* mips/jmr3904/jmr3904.specs: Ditto.
	* mips/cpu.mk: Add rule to create mips.ld from mips.ldtempl.
	(CPU_OBJS): Add c_start.o and c_crt0.o.
	* common/common.mk: Handle board-specific ld scripts.
	* common/c_start.c: Renamed c_start to c_rom_start.
	* mips/start.S: Jump to c_rom_start.
	* common/c_crt0.c: Renamed from c_bsp-crt0.c.
	* mips/crt0.S: Renamed from bsp-crt0.S.
	* mips/mips.ld: Removed.
	* mips/mips.ldtempl: New file.
	* mips/mips.ld: New file.
	* mips/cpu.mk (CPU_LDFLAGS): Use mips.ld.
	* mips/dve39/dve39-rom.specs: Use mips.ld.
	* mips/dve39/dve39.specs: Ditto.
	* mips/jmr3904/jmr3904-rom.specs: Ditto.
	* mips/jmr3904/jmr3904.specs: Ditto.
	* mips/sim/simstub-rom.specs: Ditto.
	* mips/sim/simstub.specs: Ditto.
	* mips/jmr3904/board.mk (BOARD_LIBBSP): Rename library to avoid
	libgloss name conflict.
	* mips/jmr3904/jmr3904-rom.specs: Use new library name.
	* mips/jmr3904/jmr3904.specs: Ditto.
	* mips/include/bsp/cpu.h: Setup up pseudo pc while maintaining
	separate EPC and ErrorEPC for __mips64.
	* mips/start.S: For __mips64, handle set PC from EPC or ErrorPC
	as indicated by status.
	* mips/singlestep.c (bsp_singlestep_setup): Use _pc instead of _epc.
	(bsp_skip_instruction): Use bsp_set_pc.
	* mips/gdb-cpu.c (bsp_set_register): New function for __mips64 to
	differentiate EPC and ErrorEPC.
	(bsp_set_pc): Also set EPC or ErrorEPC as necessary.
	* mips/cpu.c (_bsp_dump_regs): Print _pc instead of _epc.
	(syscall_handler): Use bsp_{set,get}_pc instead of direct access.
	* mips/dve39/dve39.c (abort_handler): Use _pc instead of _epc.

2000-02-08  Mark Salter  <msalter@cygnus.com>

	* arm/qt/qt.c: Fleshed out UART code.
	* arm/include/bsp/xscale.h: Removed bogus defines.
	* arm/include/bsp/cpu.h: Added xscale mmu support.

2000-02-07  Mark Salter  <msalter@cygnus.com>

	* arm/include/bsp/cpu.h (__cpwait): New inline for XScale.
	* arm/include/bsp/xscale.h: New file.
	* arm/xscale.c: New file.
	* arm/qt: New board support.
	* arm/cpu.c (_bsp_cpu_init): Initial XScale support.
	* configure.in: Add configury for xscale QT board.
	* configure: Regenerated.

2000-02-02  Mark Salter  <msalter@cygnus.com>

	* frv/cpu.c (_bsp_cpu_init): Set syscall handler when
	__ECOS_HAL__ defined.

	* common/ecos-glue.c (uart_control): Fleshed out.

	* common/bsp.c: Use hal debug agent vector when __ECOS_HAL__
	is defined.

2000-02-01  Mark Salter  <msalter@cygnus.com>

	* arm/sa-1100.c: Support sa1110 board.
	* arm/include/bsp/sa-1100.h: Ditto.
	* arm/sa1110as: Support files for sa1110 board.

	* syslib/close.c: Removed unnecessary includes.
	* syslib/write.c: Ditto.
	* syslib/read.c: Ditto.
	* syslib/open.c: Ditto
	* syslib/lseek.c: Ditto.
	* syslib/fstat.c: Ditto.
	* syslib/exit.c: Ditto.

	* common/syscall.c (sys_lseek): Use EIO instead of EPIPE.

	* common/bsp.c: Added support for using eCos HAL.
	* common/main.c: Ditto.
	* common/threads-syscall.c: Ditto.

	* configure.in: Added support for "--with-ecos-hal=DIR".
	Added support for arm/sa1110as.
	* configure: Regenerated.

	* common/common_ecos.mk: New file.
	* common/ecos-glue.c: New file.

	* frv/cpu.c (_bsp_install_vsr): Added support for using eCos HAL.
	* frv/cpu_ecos.mk: New file.
	* frv/tomcat/ecos.mk: New file.

2000-01-05  Catherine Moore  <clm@cygnus.com>

	* frv/frv.ld (EXCLUDE_FILE):  Add frvend wildcard.

1999-12-17  Mark Salter  <msalter@cygnus.com>

	* common/gdb.c (pkt_receive): Fix potential buffer overrun and
	send '-' if packet too long.

1999-12-15  Mark Salter  <msalter@cygnus.com>

	* frv/vectors.S: Changed break handling to trampoline to normal mode.
	* frv/tomcat/ne2k.c: Remove led set/clear code used for debugging.
	* frv/singlestep.c (bsp_singlestep_setup): Fix stepping past jmpl.
	* frv/exceptions.S: Fix save/restore of PSR.
	* frv/stublow.S: Ditto.

1999-12-14  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/tomcat.c (_bsp_board_init): Re-enable TCP support.

	* */crt0.S: Renamed from bsp-crt0.S
	* common/c_start.c: Renamed c_start to c_rom_start.
	* */start.S: Call c_rom_start, not c_start.
	* */cpu.mk (CPU_OBJS): Add c_crt0.o and c_start.o.
	* */*/board.mk: Remove c_start.o and c_bsp.o from STARTUP list.
	* */*/*specs: Fixed up startfile spec.
	* common/c_crt0.c: Renamed from c_bsp-crt0.c.

1999-11-16  Geoffrey Keating  <geoffk@cygnus.com>

	* arm/vectors.S (undefined_isr_asm): Use SYM_NAME to wrap
	__exc_common.
	(swi_isr_asm): Likewise.
	(prefetch_abort_isr_asm): Likewise.
	(data_abort_isr_asm): Likewise.
	(address_err_isr_asm): Likewise.
	(irq_isr_asm): Likewise.
	(fiq_isr_asm): Likewise.

1999-11-12  Mark Salter  <msalter@cygnus.com>

	* frv/irq-cpu.c: Removed debugging led settings.
	* frv/tomcat/board.mk: Temporarily remove net support.
	* frv/tomcat/tomcat.c (_bsp_board_init): Ditto.

1999-11-11  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/ne2k.c: Added some interrupt support.

	* frv/tomcat/tomcat.c (kill_hook): Set INT2 (PCI) to be level high.

1999-11-03  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/ticks.c (_bsp_init_ms_timer): Fixed timer reload value.
	* frv/tomcat/ne2k.c (ne2_init): New file. RealTek NE2000 PCI driver.
	* frv/tomcat/board.mk (BOARD_OBJS): Removed mb86974.o, added ne2k.o.
	* frv/tomcat/mb86974.c: Removed.

1999-11-01  Mark Salter  <msalter@cygnus.com>

	* frv/include/bsp/cpu.h: Use trap #1 for breakpoint.
	* frv/stublow.S: Ditto.

1999-10-29  Mark Salter  <msalter@cygnus.com>

	* frv/include/bsp/cpu.h: Add HW trap type defines. Add register
	save/restore macros. Modify exception stack frame.
	* frv/vectors.S: Remove xlate_table. Remove HW trap type defines
	to cpu.h.
	* frv/singlestep.c (bsp_skip_instruction): Use get/set interface
	instead of manipulating PC directly.
	* frv/gdb-cpu.c (bsp_get_signal): Use HW exception numbers instead
	of vsr numbers.
	(bsp_set_pc): Set bpcsr or pcsr also based on trap type.
	* frv/exceptions.S: Remove register save/restore macros	to cpu.h.
	Merge normal and break exception handlers.
	Invoke stub through low-level entry vector rather than directly.
	* frv/cpu.c (syscall_handler): Let stublow handle SYS_exit and
	SYS_interrupt.
	(_bsp_install_vsr): Install stub entry vector.
	* frv/stublow.S: New file.
	* frv/reg.c: New file.
	* frv/cpu.mk (CPU_OBJS): Add stublow.o and reg.o.

1999-10-28  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/tomcat.c: Support superio uarts and use uart1 as
	default debug channel.
	* frv/include/gdb-cpu.h (IS_GDB_T_REG): Define for faster debug.
	* frv/start.S: Use smaller shift count to calc TBA.
	* frv/singlestep.c (bsp_singlestep_setup): Use breakpoints.
	* frv/exceptions.S: Get shadow regs if we were in user mode.
	* frv/cpu.mk (CPU_DEFINES): Added -DGDB_THREAD_SUPPORT
	* frv/include/plx9080.h: New file.
	* frv/include/superio.h: New file.

1999-10-22  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/tomcat.c: Fixed some irq mappings.
	* frv/tomcat/tomcat-rom.specs: Change data to SDRAM space.
	* frv/tomcat/tomcat.specs: Ditto.
	* frv/tomcat/init_tomcat.S: Change addresses to SDRAM.
	* frv/tomcat/board.mk: Initial TCP support.
	* frv/sim/simstub-rom.specs: Change memory map.
	* frv/sim/simstub.specs: Ditto.
	* frv/sim/init_sim.S: Change stack location.
	* frv/include/bsp/cpu.h: Use trap for breakpoint.
	* frv/vectors.S: Fixed vector ordering.
	* frv/start.S: Zero fp to stop unwinders.
	* frv/exceptions.S: Use double moves when saving/restoring regs.
	* frv/cpu.mk: Add reloc.o and -DINIT_FUNC=__do_init.
	* frv/bsp-crt0.S: Moved reloc code into file shared with start.h.
	* frv/reloc.S: New file.
	* frv/tomcat/ticks.c: New file.
	* frv/tomcat/mb86974.c: New file.

1999-10-19  Mark Salter  <msalter@cygnus.com>

	* arm/include/bsp/cpu.h (X_ARM_MMU_SECTION): New macro to
	simplify MMU setup.
	* arm/ebsa-285/ebsa-285.c (_bsp_mmu_init): Use simplified macro.
	* arm/sa-iop/sa-iop.c (_bsp_mmu_init): Ditto.
	* arm/sa1100dp/sa1100dp.c (_bsp_mmu_init): Ditto.
	* arm/sa1100mm/sa1100mm.c (_bsp_mmu_init): Ditto.

1999-10-13  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Use stricter test to decide need to switch
	to exception stack.
	* mips/stublow.S: Ditto.

1999-10-05  Mark Salter  <msalter@cygnus.com>

	* arm/safl_util/sa_flash.c: Added error checking courtesy of
	hmt@cygnus.com.

1999-09-28  Mark Salter  <msalter@cygnus.com>

	* include/bsp_start.h (c_crt0_begin): Added ifdef INIT_FUNC.
	* frv/include/bsp/cpu.h: Fixed FUNC_END macro.
	* frv/vectors.S: Added RESERVED vector.
	* frv/exceptions.S: Added break handler.
	* frv/irq-cpu.c: Initial support for MB86941 PIC.
	* frv/frv.ld: Fixed ctors/dtors.
	* frv/tomcat/board.mk (BOARD_DEFINES): Add -DUSE_MB8691.
	* frv/tomcat/tomcat.c: Comment out cache routines for tomcat.
	* frv/tomcat/init_tomcat.S: Fix memory size save.
	* frv/cpu.c (_bsp_install_vsr): Install break handler.
	* frv/singlestep.c: Support "Step Enable" bit.

1999-09-15  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/jmr3904.c (_bsp_board_init): Look at switch D0
	to decide whether or not to attempt BOOTP.

1999-09-14  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/init_jmr3904.S: Fix __get_sysclock for sim.
	* mips/sim/simstub.specs: Added crtbegin to startfile list.
	* mips/sim/simstub-rom.specs: Ditto.
	* mips/mem.c: Added memory validation hooks for boards with
	no HW support for buserrs.
	* mips/jmr3904/jmr3904.c (mem_validate): New function to
	validate addresses for read/write.
	* mips/irq-cpu.c (_bsp_check_unexpected_irq): New function for
	apps to pass unexpected irqs to the ROM.
	* mips/cpu.c (_bsp_install_vsr): Install _bsp_check_unexpected_irq
	vector.
	* mips/include/bsp/cpu.h: Added more vectors to VSR.

	* arm/vectors.S: Fixed return from exception to preserve lr.
	* arm/armpid/armpid.c: Fixed uart interrupt handling.

1999-09-10  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/init_jmr3904.S: Use macros to make init code more
	readable. Use RTC to determine cpu clock frequency.
	* mips/jmr3904/jmr3904.c: Baudrate support for 66MHz CPU clock.

	* mips/include/bsp/cpu.h: Add some stackframe entries and
	a BSP_VEC_MAGIC.

	* mips/start.S: Use VSR based stub entry vector.

	* mips/cpu.c (syscall_handler): Handle SYS_exit and SYS_interrupt
	in stub.
	(_bsp_install_vsr): Install _bsp_stub_entry and a "magic" value
	so apps can differentiate this from libstub based ROMs.

	* include/net.h: Add ack_pending flag to tcp_socket_t.
	* net/tcp.c (__tcp_handler): Use ack_pending flag to defer ack
	if an outstanding write is in progress.

	* mips/stublow.S: New file.
	* mips/cpu.mk (CPU_OBJS): Add stublow.o.

	* mips/jmr3904/ne2k.c: Removed erroneous include of dve39.h.

1999-09-05  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/ne2k.c: Add support to run in simulator.
	* mips/jmr3904/jmr3904.c: Add kill_hook function.
	* mips/dve39/dve39-rom.specs: Start data at 80000100.
	* mips/jmr3904/jmr3904-rom.specs: Ditto.
	* mips/start.S: Reduce size of stack.
	* include/bsp_if.h: Rearranged some bsp_shared_t items to not break
	compatibility with sparclite.
	* common/threads-syscall.c: Include bsp/cpu.h to get OS thread support
	hook.

1999-09-02  Mark Salter  <msalter@cygnus.com>
	
	* frv/exceptions.S: Fix handling of PSR in exceptions.

	* arm/cma222/cma222.c (uart_putchar): Fixed interrupt handling.

	* mips/jmr3904/ne2k.c: New file. NE2000 ethernet driver.
	* mips/jmr3904/board.mk (BOARD_OBJS): Added ne2k.o.
	* mips/jmr3904/jmr3904.c (_bsp_board_init): Added ethernet support.

1999-08-30  Michael Meissner  <meissner@cygnus.com>

	* frv/bsp-crt0.S: (__start): Add support for relocating pointers
	in .ctors, .dtors, and user pointers that were initialized when
	running -fpic code at a different location than it was linked
	for.
	(___frv_fix{,_usr}ptrs): Helper functions for relocating pointers.

	* frv/frv.ld: Add .rofixup section.

1999-08-30  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/ticks.c: New file. Millisecond timer support.
	* mips/jmr3904/board.mk (BOARD_OBJS): Add ticks.o.
	(BUILD_OPTIONS): Add BUILD_TCP.

1999-08-30  Mark Salter  <msalter@cygnus.com>

	* frv/sim/simstub-rom.specs: Use frvbegin.o instead of crtbegin.o.
	* frv/sim/simstub.specs: Ditto.

1999-08-29  Michael Meissner  <meissner@cygnus.com>

	* frv/bsp-crt0.S: (_start): Call exit, not _exit.  Load up
	pointers in a pic friendly fashion.  Zero the bss area.

	* frv/tomcat/tomcat{,-rom}.specs: Use frvbegin.o instead of
	crtbegin.o.

1999-08-27  Mark Salter  <msalter@cygnus.com>

	* configure.in: Add in sim build for frv.
	* configure: Regenerated.
	* frv/sim/simstub-rom.specs: Changed linker script and text address.
	* frv/sim/simstub.specs: Ditto.
	* frv/sim/sim.c: Fixed inbyte/outbyte to work with sim.
	* frv/sim/init_sim.S: Setup stack at top of SRAM (0x30200000).
	* frv/include/bsp/cpu.h: Use trap #5 as breakpoint for now.
	* frv/vectors.S: Rewrote vector table to rely on user stack
	so as not to destroy user regs.
	* frv/start.S: Enable traps. Duh.
	* frv/exceptions.S: Add 'd' flag to rett insn.
	Filled in more of default handler.
	* frv/cpu.c (_bsp_dump_regs): Filled in dump code.
	* frv/cpu.mk (CPU_DEFINES): Add -G0 flag. Putting it here keeps
	it off the link line.

1999-08-26  Mark Salter  <msalter@cygnus.com>

	* frv/cpu.mk (CPU_CFLAGS): Removed -G0.

	* include/bsp_start.h: Fixed extern declarations for symbols
	created in linker script.

1999-08-24  Mark Salter  <msalter@cygnus.com>
	
	* mips/cpu.c (syscall_handler): Patch _epc to fix backtrace for
	asynchronous interrupts.

1999-08-24  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/tomcat.c (uart_setbaud): Use timer0, not timer3 for baud.
	* frv/tomcat/tomcat.specs: Move start vma to SRAM.
	* frv/tomcat/tomcat-rom.specs: Move data section vma to SRAM.
	* frv/tomcat/init_tomcat.S: Use symbolic bit names instead of integers.
	* frv/include/bsp/cpu.h: Removed unnecessary defines. Added HSR
	register bit defines.
	* frv/include/mb86941.h: Use halfword loads/stores to read/write regs.
	* frv/vectors.S: Added code for default handler to flash leds.
	* frv/start.S: Setup PSR and TBR.
	* frv/frv.ld: Move ctors/dtors to data section.
	* frv/exceptions.S: First cut at saving/restoring regs.
	* frv/cpu.mk (CPU_CFLAGS): Use -G0 workaround to toolchain problem.

1999-08-18  Mark Salter  <msalter@cygnus.com>

	* ppc/evb403/evb403.c (uart_control): Fixed typo.

1999-08-17  Mark Salter  <msalter@cygnus.com>

	* common/common.mk: Added support for cpu-specific .ld script.

1999-08-17  Mark Salter  <msalter@cygnus.com>

	* frv/tomcat/init_tomcat.S: Added sysctl/sdram init.
	* frv/frv.ld: New file. frv-specific linker script.
	* frv/cpu.mk: Use frv.ld.
	* frv/tomcat/tomcat-rom.specs: Use frv.ld.
	* frv/tomcat/tomcat.specs: Ditto.
	* frv/cpu.c (_bsp_cpu_init): Added decls for cache flush routines.
	* frv/include/bsp/cpu.h: Added REG_PSR to stack frame.
	* frv/tomcat/tomcat.c: Added cache flush routines.
	* frv/gdb-cpu.c: Filled in gdb stub support.
	* frv/cpu.c (syscall_handler): Filled in syscall handler code.
	* frv/exceptions.S: New file.
	* frv/include/fr500.h: New file.
	* frv/cpu.mk (CPU_OBJS): Added exceptions.o to list.

1999-08-16  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/init_jmr3904.S: Setup DRAM controller and ISA clock.
	* mips/irq-cpu.c (cpu_irq_dispatch): Fix tx3904 irq number calculation.
	* mips/jmr3904/jmr3904.c (uart_irq_disable): Return TRUE if was enabled.
	(uart_putchar): Protecct from rx interrupts.
	(uart_irq_handler): Check status before reading char.

1999-08-13  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/mb8683x.c (uart_setbaud): Fixed saved baudrate.
	Fixed return value.

1999-08-13  Mark Salter  <msalter@cygnus.com>

	* configure.in: Added tomcat board for frv.
	* configure: Regenerated.
	* frv/vectors.S: Added reset code.
	* frv/include/bsp/cpu.h: Added SPR definitions.
	* frv/tomcat: New board dir for tomcat EVB.
	* frv/tomcat/tomcat.c: Added real uart code.
	* frv/include/mb86941.c: New file.

1999-08-12  Mark Salter  <msalter@cygnus.com>

	* include/syscall.h: Added SYS_interrupt to force SIGINT back to host.
	* include/bsp_if.h: Added __console_interrupt_flag to shared data.
	* syslib/write.c: Added check for async interrupt after write returns.
	* common/bsp.c: Use macro to init version field of __bsp_shared.
	* am30/cpu.c (_syserr_syscall): Support SYS_interrupt syscall.
	* arm/cpu.c (syscall_handler): Ditto.
	* fr30/cpu.c (syscall_handler): Ditto.
	* m68k/cpu.c (syscall_handler): Ditto.
	* mips/cpu.c (syscall_handler): Ditto.
	* ppc/cpu.c (syscall_handler): Ditto.
	* sparc/cpu.c (syscall_handler): Ditto.
	* common/gdb.c: Defer recognizing async interrupt during stdout
	until PC returns to user app.

	* arm/cma222/cma222.c: Support for enable/disable debug interrupt.

1999-08-10  Michael Meissner  <meissner@cygnus.com>

	* frv/bsp-crt0.S (_start): hi/lo in assembler now needs '%'.

1999-08-10  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904/jmr3904.c (uart_control): Added debug channel
	IRQ enable/disable support.
	* arm/sa-1100.c (uart_control): Ditto.
	* ppc/cma101/cma101.c (uart_control): Ditto.
	* ppc/evb403/evb403.c: Ditto.
	* ppc/mbx/mbx.c (uart_control): Ditto.

	* configure.in: Added support for arm/cma222 board.
	* configure: Regenerated.
	* arm/include/bsp/arm710t.h: New file.
	* arm/cma222: New board support for Cogent CMA222/CMA110.
	* arm/include/bsp/cpu.h: Include arm710t.h when appropriate.

	* arm/gdb-cpu.c (bsp_regsize): Remove reference to SPSR reg.
	* arm/cpu.c (_bsp_dump_regs): print spsvc instead of spsr.

1999-08-06  Mark Salter  <msalter@cygnus.com>

	* frv/sim/simstub-rom.specs: Fixed ROM address.
	* frv/sim/init_sim.S: Fixed .file line.
	* frv/sim/board.mk: Added vectors.o to startup file list.
	* frv/include/bsp/cpu.h: Filled out stackframe definition.
	Added exception IDs.
	* frv/trap.S: Filled in trap call.
	* frv/irq-cpu.c: Filled in support using 86940 controller.

1999-08-05  Mark Salter  <msalter@cygnus.com>

	* configure.in: Added frv support.
	* configure: Regenerated.
	* frv: New architecture support.

1999-08-04  Mark Salter  <msalter@cygnus.com>

	* arm/include/bsp/lh77790a.h: Added interrupt support.
	* arm/include/bsp/cpu.h: Added svc mode sp to exception frame.
	* arm/aeb-1/init_aeb-1.S: Enabled cache.
	* arm/aeb-1/coff-aeb-1.specs: Lowered load address to 0x8000.
	* arm/aeb-1/elf-aeb-1.specs: Lowered load address to 0x8000.
	* arm/aeb-1/board.mk: Added -msoft-float and -mcpu=arm7di flags.
	* arm/aeb-1/aeb-1.c: Fixed serial interrupts.
	* arm/trap.S: Save lr in ip before swi.
	* arm/start.S: Don't switch to system mode.
	* arm/lh77790a.c: New file.
	* arm/vectors.S: Simplified exception handling.
	* arm/irq-cpu.c (generic_exception_handler): Simplified.

1999-07-13  Mark Salter  <msalter@cygnus.com>

	* mips/dve39/dve39.c (uart_setbaud): Fixed runtime baud rate changes.

1999-07-12  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Fixed sense of test for stack switch.

	* mips/dve39/ticks.c: New file. Supports millisecond timer.
	* mips/dve39/board.mk (BOARD_OBJS): Added ticks.o
	* mips/dve39/dve39.c: Fixes to serial and ethernet support.
	* mips/dve39/i82596.c: Rewrote major portions.
	* mips/dve39/include/i82596.h: Rewrote some macros in inline asm.
	* mips/dve39/include/bsp/dve39.h: Added NVRAM_ETH_ADDR macro.

1999-07-11  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Don't use dm[tf]c0 insns with sim.

1999-07-09  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Fixed inadvertent trashing of exception number.


	* net/ip.c: Initialize IP address to 0.0.0.0.
	* common/net.c (_bsp_net_init): Don't BOOTP if local IP address already setup.

1999-07-08  Mark Salter  <msalter@cygnus.com>

	* mips/sim/sim.c: Add back support for i/o through simulated idt mon.

	* mips/start.S: Support save/restore of extra cp0 regs.

	* mips/gdb-cpu.c (bsp_regbyte): Fixed byte offset for some regs.

	* common/net.c (_bsp_net_set_debug_port): New function to allow
	runtime selection of port number.
	* include/net.h: Add prototype for _bsp_net_set_debug_port.


	* mips/include/bsp/cpu.h: Rearranged the stackframe and added some
	more cp0 regs.

	* common/common.mk (OBJCOPY_FLAGS): Removed --gap-fill flag as it
	is broken on some branches.

1999-07-02  Mark Salter  <msalter@cygnus.com>

	* mips/sim/sim.c: Cleaned up. Fixed uart driver.
	* mips/include/bsp/cpu.h: Removed __SIM_LOADS_DATA__ define.
	* mips/start.S: Fixed some bogus cpp tests.

1999-06-30  Drew Moseley  <dmoseley@cygnus.com>
	
	* arm/include/bsp/sa-1100.h (__board_reset): Update function
	definition to match prototype.

	* configure.in (MAKEFILEDEPS): Make sure ${archdir} is
	set before adding ${archdir}/cpu.mk to MAKEFILEDEPS.  This
	allows the configure and make to succeed even if there is
	no BSP support for a given target.
	* configure: Regenerated.

1999-06-30  Mark Salter  <msalter@cygnus.com>

	* mips/sim: New board dir to support simulated stub.
	* mips/sim/board.mk: New file.
	* mips/sim/init_sim.S: New file.
	* mips/sim/sim.c: New file.
	* mips/sim/simtub-rom.specs: New file.
	* mips/sim/simtub.specs: New file.
	* include/bsp_start.h: Don't copy data if __SIM_LOADS_DATA__.
	* mips/start.S: Don't use dm[ft]c0 insns in sim.
	* mips/include/bsp/cpu.h: Added support for sim.

1999-06-29  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Call __init_tlb.
	* mips/cpu.c (__tlb_init): New routine.
	* common/common.mk (CFLAGS): Added -g flag.
	* common/bsp.ld: Added missing .gnu.linkonce.t section.


1999-06-24  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Rename the StrongARM boards as follows:
	                EBIX-DB           -> SA-IOP
	                EBSA285           -> EBSA-285
	                BRUTUS            -> SA1100DP
	                SA1100-MULTIMEDIA -> SA1100MM 
	* configure: Ditto.
	* arm/mem285.S: Ditto.
	* arm/brutus/board.mk: Ditto. Removed file.
	* arm/brutus/brutus.c: Ditto. Removed file.
	* arm/brutus/coff-brutus-rom.specs: Ditto. Removed file.
	* arm/brutus/coff-brutus.specs: Ditto. Removed file.
	* arm/brutus/elf-brutus-rom.specs: Ditto. Removed file.
	* arm/brutus/elf-brutus.specs: Ditto. Removed file.
	* arm/brutus/include/bsp/brutus.h: Ditto. Removed file.
	* arm/brutus/init_brutus.S: Ditto. Removed file.
	* arm/ebix-db/board.mk: Ditto. Removed file.
	* arm/ebix-db/coff-ebix-db-rom.specs: Ditto. Removed file.
	* arm/ebix-db/coff-ebix-db.specs: Ditto. Removed file.
	* arm/ebix-db/ebix-db.c: Ditto. Removed file.
	* arm/ebix-db/elf-ebix-db-rom.specs: Ditto. Removed file.
	* arm/ebix-db/elf-ebix-db.specs: Ditto. Removed file.
	* arm/ebix-db/include/bsp/ebix-db.h: Ditto. Removed file.
	* arm/ebix-db/init_ebix-db.S: Ditto. Removed file.
	* arm/ebsa285/board.mk: Ditto. Removed file.
	* arm/ebsa285/coff-ebsa285-rom.specs: Ditto. Removed file.
	* arm/ebsa285/coff-ebsa285.specs: Ditto. Removed file.
	* arm/ebsa285/ebsa285.c: Ditto. Removed file.
	* arm/ebsa285/elf-ebsa285-rom.specs: Ditto. Removed file.
	* arm/ebsa285/elf-ebsa285.specs: Ditto. Removed file.
	* arm/ebsa285/include/bsp/ebsa285.h: Ditto. Removed file.
	* arm/ebsa285/init_ebsa285.S: Ditto. Removed file.
	* arm/sa1100-multimedia/board.mk: Ditto. Removed file.
	* arm/sa1100-multimedia/coff-sa1100-multimedia-rom.specs: Ditto. Removed file.
	* arm/sa1100-multimedia/coff-sa1100-multimedia.specs: Ditto. Removed file.
	* arm/sa1100-multimedia/elf-sa1100-multimedia-rom.specs: Ditto. Removed file.
	* arm/sa1100-multimedia/elf-sa1100-multimedia.specs: Ditto. Removed file.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto. Removed file.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto. Removed file.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto. Removed file.
	* arm/ebsa-285/board.mk: Ditto. Added file.
	* arm/ebsa-285/coff-ebsa-285-rom.specs: Ditto. Added file.
	* arm/ebsa-285/coff-ebsa-285.specs: Ditto. Added file.
	* arm/ebsa-285/ebsa-285.c: Ditto. Added file.
	* arm/ebsa-285/elf-ebsa-285-rom.specs: Ditto. Added file.
	* arm/ebsa-285/elf-ebsa-285.specs: Ditto. Added file.
	* arm/ebsa-285/include/bsp/ebsa-285.h: Ditto. Added file.
	* arm/ebsa-285/init_ebsa-285.S: Ditto. Added file.
	* arm/sa-iop/board.mk: Ditto. Added file.
	* arm/sa-iop/coff-sa-iop-rom.specs: Ditto. Added file.
	* arm/sa-iop/coff-sa-iop.specs: Ditto. Added file.
	* arm/sa-iop/elf-sa-iop-rom.specs: Ditto. Added file.
	* arm/sa-iop/elf-sa-iop.specs: Ditto. Added file.
	* arm/sa-iop/include/bsp/sa-iop.h: Ditto. Added file.
	* arm/sa-iop/init_sa-iop.S: Ditto. Added file.
	* arm/sa-iop/sa-iop.c: Ditto. Added file.
	* arm/sa1100dp/board.mk: Ditto. Added file.
	* arm/sa1100dp/coff-sa1100dp-rom.specs: Ditto. Added file.
	* arm/sa1100dp/coff-sa1100dp.specs: Ditto. Added file.
	* arm/sa1100dp/elf-sa1100dp-rom.specs: Ditto. Added file.
	* arm/sa1100dp/elf-sa1100dp.specs: Ditto. Added file.
	* arm/sa1100dp/include/bsp/sa1100dp.h: Ditto. Added file.
	* arm/sa1100dp/init_sa1100dp.S: Ditto. Added file.
	* arm/sa1100dp/sa1100dp.c: Ditto. Added file.
	* arm/sa1100mm/board.mk: Ditto. Added file.
	* arm/sa1100mm/coff-sa1100mm-rom.specs: Ditto. Added file.
	* arm/sa1100mm/coff-sa1100mm.specs: Ditto. Added file.
	* arm/sa1100mm/elf-sa1100mm-rom.specs: Ditto. Added file.
	* arm/sa1100mm/elf-sa1100mm.specs: Ditto. Added file.
	* arm/sa1100mm/include/bsp/sa1100mm.h: Ditto. Added file.
	* arm/sa1100mm/init_sa1100mm.S: Ditto. Added file.
	* arm/sa1100mm/sa1100mm.c: Ditto. Added file.

1999-06-24  Mark Salter  <msalter@cygnus.com>

	* mips/include/bsp/cpu.h (CHECK_FOR_NMI): Removed arg from macro.
	* net/bootp.c (__bootp_find_local_ip): Changed retry to 3.
	* net/tcp.c: Changed window size to MAX_TCP_DATA.
	* net/icmp.c: Added log support.

	
1999-06-23  Drew Moseley  <dmoseley@cygnus.com>

	* ppc/mbx/board.mk (BOARD_LIBBSP): Rename the library so it doesn't
	conflict with the libgloss one.
	* ppc/mbx/mbx-rom.specs: Ditto.
	* ppc/mbx/mbx.specs: Ditto.

	* ppc/cpu.mk (CPU_HEADERS): Make sure ppc4xx.h gets installed.

	* common/common.mk: Add make variables for CC, prefix, etc. so that
	building from the board directory will work. Cleaned up some of the
	big endian handling.  Added BOARD_CLEAN variable to remove board
	specific files.

	* doc/bspint.texinfo: Added BOARD_CLEAN variable to remove board
	specific files.

	* ppc/yellowknife/yklb/board.mk: Cleaned up Big endian start code
	handling.  Dump it to a binary, and then incorporate the binary
	data into a little endian object that is loaded at the correct
	reset address.
	* ppc/yellowknife/yklb/yklb-rom.specs: Ditto.

1999-06-23  Mark Salter  <msalter@cygnus.com>

	* mips/bsp-crt0.S: Removed .set noreorder.
	* common/bsp.ld: Rearranged .sbss and added .scommon to fix
	gprel mips links.

1999-06-22  Mark Salter  <msalter@cygnus.com>
	
	* mips/start.S: Include board-specific header if it exists. Use
	CHECK_FOR_NMI macro if NMI_SHARES_RESET is defined.
	* mips/include/bsp/cpu.h: Added tx39 CHECK_FOR_NMI macro.
	* mips/gdb-cpu.c (bsp_get_signal): Add case for NMI.
	* common/generic-mem.c (bsp_memory_write): Removed unnecessary cache
	flushes. Caller is responsible for that.
	* common/bsp_if.c: Removed unnecessary dcache flush when installing
	vectors.

1999-06-22  Drew Moseley  <dmoseley@cygnus.com>

	* common/common.mk: Add a new make variable BOARD_EXTRA_LIBS containing
	any additional files to be installed into the libdir.
	* doc/bspint.texinfo: Ditto.
	* ppc/yellowknife/yklb/board.mk: Ditto.

	* common/common.mk: Use a shell script fragment to test for the
	existence of a subdirectory before using it in a '-B' option so
	that gcc won't complain if the directory doesn't exist.

	* ppc/yellowknife/yklb/board.mk: Ditto.
	
	* doc/Makefile (clean): Fixed the clean: target.

	* doc/bspint.texinfo: Updated to support my recent check-ins on
	1999-06-11.

	* doc/Makefile (all): Added an all: target.
	
1999-06-21  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Test for the existence of the binutils subdirectory
	before cd'ing there.
	* configure: Regenerated.

1999-06-21  Mark Salter  <msalter@cygnus.com>

	* common/c_bsp-crt0.c: Made common from architecture-specific
	versions.
	* am30/c_bsp-crt0.c: Removed.
	* arm/c_bsp-crt0.c: Removed.
	* fr30/c_bsp-crt0.c: Removed.
	* m68k/c_bsp-crt0.c: Removed.
	* mips/c_bsp-crt0.c: Removed.
	* ppc/c_bsp-crt0.c: Removed.
	* sparc/c_bsp-crt0.c: Removed.

1999-06-20  Mark Salter  <msalter@cygnus.com>

	* common/c_start.c: Made common from architecture-specific
	versions.
	* am30/c_start.c: Removed.
	* arm/c_start.c: Removed.
	* fr30/c_start.c: Removed.
	* m68k/c_start.c: Removed.
	* mips/c_start.c: Removed.
	* ppc/c_start.c: Removed.
	* sparc/c_start.c: Removed.
	* arm/aeb-1/include/bsp/aeb-1.h: Added new macros to set leds
	at boot time.
	* arm/armpid/include/bsp/armpid.h: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.

1999-06-18  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/mb8683x-rom.specs: Renamed to mb86x-rom.specs
	to match previous customer releases.
	* sparc/mb8683x/mb8683x.specs: Renamed to mb86x.specs to match
	previous customer releases.
	* sparc/mb8683x/board.mk: Renamed specs files.

1999-06-17  Mark Salter  <msalter@cygnus.com>

	* include/bsp_start.h (c_crt0_end): Use BSP_ENABLE_INTERRUPTS
	(in lieu of misnamed __cli) when defined.
	* mips/include/bsp/cpu.h: Fixed for 32/64 bit operation.
	* mips/include/gdb-cpu.h (IS_GDB_T_REG): Added T packet support.
	* mips/dve39/dve39-rom.specs: Fixed data address.
	* mips/jmr3904/jmr3904-rom.specs: Ditto.
	* mips/start.S: Fixes for 32/64 bit operation.
	* mips/mem.c: Removed unnecessary cache flush.
	* mips/gdb-cpu.c: Support for new 32/64 stack frame.
	* mips/cpu.mk (CPU_DEFINES): Added -DGDB_THREAD_SUPPORT.
	* mips/cpu.c: Added VSR table support.
	* mips/bsp-crt0.S: Added setup for $gp.
	
	* common/gdb-threads.c: Fixed register setting for non-current threads.
	* common/bsp.ld: Fixed alignment for .data copy and .bss clear.
	* net/tcp.c: Fixed for 64-bit architectures.
	* net/net_test.c: New file.


1999-06-17  Drew Moseley  <dmoseley@cygnus.com>

	* common/syscall.c: Remove the reset syscall.  It is now part
	of the common data structure.
	* doc/bspint.texinfo: Ditto.
	* include/bsp_if.h: Ditto.
	* include/syscall.h: Ditto.
	* include/bsp/bsp.h: Ditto.
	* syslib/reset.c: Ditto. Removed file.
	* common/bsp_reset.c: Ditto. Added file.

	* common/common.mk: Make sure defs.h is installed.  Also add
	bsp_reset.o to and remove reset.o from the lists of object files.

	* arm/cpu.c: Set the __reset field of the common data structure
	to __board_reset for SA1100 boards.

	* common/bsp.c: Initialize the __reset member of the data
	structure.

	* arm/armpid/init_armpid.S: Make sure the stack is set up and
	the config_data parameter is used in the call to c_start.

	* fr30/cpu.mk (CPU_DEFINES): Added definition for INIT_FUNC and
	FINI_FUNC since apparently the name of that function can change.
	* ppc/cpu.mk (CPU_DEFINES): Ditto.

	* include/bsp_start.h: Call INIT_FUNC and FINI_FUNC by their
	#define names.

1999-06-11  Drew Moseley  <dmoseley@cygnus.com>

	Loads of changes affecting loads of files. Includes:
	Proper handling of OBJCOPY, OBJDUMP, AR, RANLIB, etc.
	Moved handling of NEED_UNDERSCORE, etc into the cpu.h and associated
		files so that users of the BSP will have the appropriate settings.
	Prepended and appended all BSP provided #defines with '__'
	Better board naming to simplify board makefiles.
	Cleaner usage of VPATH in the makefiles so less explicit paths are
		necessary.
	Added handling of extra_subdirs so that variants of a given BSP
		can be created simply.  ie ykb vs yka.  Same board, different
		memory layout.
	Use the C versions of startup code for all BSP's.
	Cleanup of include paths and included files.
	Added autodependency generation to the makefiles.
	Modified specs handling to use %rename constructs so there is
		less knowledge of toolchain internals in our local specs files.
	Added -B options so the correct startfiles get used even if there
		is an installed toolchain.
	Consolidated all linker scripts into one.
	Better handling of object file differences using __NEED_UNDERSCORE__
		and FUNC_START and FUNC_END macros.
	Several merges from the Strongarm branch. ie Trademark
		usage. BOARD_BOOT_LED_DEBUG. Regname_example.
	
	* Makefile.in: Ditto.
	* configure: Ditto.
	* configure.in: Ditto.
	* am30/bsp-crt0.S: Ditto.
	* am30/cpu.c: Ditto.
	* am30/cpu.mk: Ditto.
	* am30/gdb-cpu.c: Ditto.
	* am30/irq-cpu.c: Ditto.
	* am30/singlestep.c: Ditto.
	* am30/start.S: Ditto.
	* am30/trap.S: Ditto.
	* am30/eval1/board.mk: Ditto.
	* am30/eval1/eval1-rom.specs: Ditto.
	* am30/eval1/eval1.c: Ditto.
	* am30/eval1/eval1.specs: Ditto.
	* am30/eval1/init_eval1.S: Ditto.
	* am30/include/gdb-cpu.h: Ditto.
	* am30/include/bsp/cpu.h: Ditto.
	* arm/bsp-crt0.S: Ditto.
	* arm/c_start.c: Ditto.
	* arm/cpu.c: Ditto.
	* arm/cpu.mk: Ditto.
	* arm/gdb-cpu.c: Ditto.
	* arm/irq-cpu.c: Ditto.
	* arm/mem285.S: Ditto.
	* arm/sa-110.c: Ditto.
	* arm/sa-1100.c: Ditto.
	* arm/singlestep.c: Ditto.
	* arm/start.S: Ditto.
	* arm/trap.S: Ditto.
	* arm/vectors.S: Ditto.
	* arm/aeb-1/aeb-1.c: Ditto.
	* arm/aeb-1/board.mk: Ditto.
	* arm/aeb-1/init_aeb-1.S: Ditto.
	* arm/aeb-1/include/bsp/aeb-1.h: Ditto.
	* arm/brutus/board.mk: Ditto.
	* arm/brutus/brutus.c: Ditto.
	* arm/brutus/init_brutus.S: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/include/gdb-cpu.h: Ditto.
	* arm/include/insn.h: Ditto.
	* arm/include/bsp/cpu.h: Ditto.
	* arm/include/bsp/sa-110.h: Ditto.
	* arm/include/bsp/sa-1100.h: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.
	* arm/safl_util/README: Ditto.
	* arm/safl_util/safl.c: Ditto.
	* common/breakpoint.c: Ditto.
	* common/bsp.c: Ditto.
	* common/bsp_cache.c: Ditto.
	* common/bsp_if.c: Ditto.
	* common/bsplog.c: Ditto.
	* common/common.mk: Ditto.
	* common/console-io.c: Ditto.
	* common/debug-io.c: Ditto.
	* common/gdb-data.c: Ditto.
	* common/gdb-threads.c: Ditto.
	* common/gdb.c: Ditto.
	* common/generic-mem.c: Ditto.
	* common/generic-reg.c: Ditto.
	* common/hex-utils.c: Ditto.
	* common/irq-rom.c: Ditto.
	* common/irq.c: Ditto.
	* common/main.c: Ditto.
	* common/net.c: Ditto.
	* common/printf.c: Ditto.
	* common/queue.c: Ditto.
	* common/shared-data.c: Ditto.
	* common/sprintf.c: Ditto.
	* common/syscall.c: Ditto.
	* common/sysinfo.c: Ditto.
	* common/threads-syscall.c: Ditto.
	* common/vprintf.c: Ditto.
	* doc/bspint.texinfo: Ditto.
	* fr30/bsp-crt0.S: Ditto.
	* fr30/cache.S: Ditto.
	* fr30/cpu.c: Ditto.
	* fr30/cpu.mk: Ditto.
	* fr30/gdb-cpu.c: Ditto.
	* fr30/irq-cpu.c: Ditto.
	* fr30/start.S: Ditto.
	* fr30/trap.S: Ditto.
	* fr30/eval1/board.mk: Ditto.
	* fr30/eval1/eval1-rom.specs: Ditto.
	* fr30/eval1/eval1.specs: Ditto.
	* fr30/include/bsp/cpu.h: Ditto.
	* include/bsp-trap.h: Ditto.
	* include/bsp_if.h: Ditto.
	* include/bsp_start.h: Ditto.
	* include/gdb.h: Ditto.
	* include/bsp/bsp.h: Ditto.
	* m68k/bsp-crt0.S: Ditto.
	* m68k/cpu.c: Ditto.
	* m68k/cpu.mk: Ditto.
	* m68k/gdb-cpu.c: Ditto.
	* m68k/irq-cpu.c: Ditto.
	* m68k/singlestep.c: Ditto.
	* m68k/start.S: Ditto.
	* m68k/trap.S: Ditto.
	* m68k/vectors.S: Ditto.
	* m68k/328ads/328ads.c: Ditto.
	* m68k/328ads/board.mk: Ditto.
	* m68k/328ads/init_328ads.S: Ditto.
	* m68k/328ads/include/bsp/328ads.h: Ditto.
	* m68k/include/bsp/cpu.h: Ditto.
	* mips/bsp-crt0.S: Ditto.
	* mips/cpu.c: Ditto.
	* mips/cpu.mk: Ditto.
	* mips/gdb-cpu.c: Ditto.
	* mips/irq-cpu.c: Ditto.
	* mips/singlestep.c: Ditto.
	* mips/start.S: Ditto.
	* mips/trap.S: Ditto.
	* mips/dve39/board.mk: Ditto.
	* mips/dve39/i82596.c: Ditto.
	* mips/dve39/include/bsp/dve39.h: Ditto.
	* mips/include/insn.h: Ditto.
	* mips/include/bsp/cpu.h: Ditto.
	* mips/jmr3904/board.mk: Ditto.
	* mips/jmr3904/jmr3904-rom.specs: Ditto.
	* mips/jmr3904/jmr3904.specs: Ditto.
	* net/ip.c: Ditto.
	* ppc/bsp-crt0.S: Ditto.
	* ppc/cache4xx.S: Ditto.
	* ppc/cache6xx.S: Ditto.
	* ppc/cache8xx.S: Ditto.
	* ppc/cpu.c: Ditto.
	* ppc/cpu.mk: Ditto.
	* ppc/gdb-cpu.c: Ditto.
	* ppc/irq-cpu.c: Ditto.
	* ppc/singlestep.c: Ditto.
	* ppc/start.S: Ditto.
	* ppc/trap.S: Ditto.
	* ppc/cma101/board.mk: Ditto.
	* ppc/cma101/cma101.c: Ditto.
	* ppc/cma101/mb86964.c: Ditto.
	* ppc/evb403/board.mk: Ditto.
	* ppc/evb403/evb403.specs: Ditto.
	* ppc/include/bsp/cpu.h: Ditto.
	* ppc/mbx/board.mk: Ditto.
	* ppc/mbx/init_mbx.S: Ditto.
	* ppc/mbx/mbx.c: Ditto.
	* ppc/mbx/mbx.specs: Ditto.
	* sparc/bsp-crt0.S: Ditto.
	* sparc/cpu.c: Ditto.
	* sparc/cpu.mk: Ditto.
	* sparc/gdb-cpu.c: Ditto.
	* sparc/irq-cpu.c: Ditto.
	* sparc/reg.c: Ditto.
	* sparc/singlestep.c: Ditto.
	* sparc/start.S: Ditto.
	* sparc/stublow.S: Ditto.
	* sparc/trap.S: Ditto.
	* sparc/vectors.S: Ditto.
	* sparc/include/mb86940.h: Ditto.
	* sparc/include/bsp/cpu.h: Ditto.
	* sparc/mb8683x/board.mk: Ditto.
	* syslib/exit.c: Ditto.

	* config.sub: New file. Ditto.
	* install-sh: New file. Ditto.
	* am30/c_bsp-crt0.c: New file. Ditto.
	* am30/c_start.c: New file. Ditto.
	* arm/aeb-1/aeb-1-rom.specs: New file. Ditto.
	* arm/aeb-1/aeb-1.specs: New file. Ditto.
	* arm/armpid/armpid-rom.specs: New file. Ditto.
	* arm/armpid/armpid.c: New file. Ditto.
	* arm/armpid/armpid.specs: New file. Ditto.
	* arm/armpid/board.mk: New file. Ditto.
	* arm/armpid/init_armpid.S: New file. Ditto.
	* arm/armpid/include/bsp/armpid.h: New file. Ditto.
	* arm/brutus/brutus-rom.specs: New file. Ditto.
	* arm/brutus/brutus.specs: New file. Ditto.
	* arm/ebix-db/ebix-db-rom.specs: New file. Ditto.
	* arm/ebix-db/ebix-db.c: New file. Ditto.
	* arm/ebix-db/ebix-db.specs: New file. Ditto.
	* arm/ebix-db/init_ebix-db.S: New file. Ditto.
	* arm/ebix-db/include/bsp/ebix-db.h: New file. Ditto.
	* arm/ebsa285/ebsa285-rom.specs: New file. Ditto.
	* arm/ebsa285/ebsa285.c: New file. Ditto.
	* arm/ebsa285/ebsa285.specs: New file. Ditto.
	* arm/ebsa285/init_ebsa285.S: New file. Ditto.
	* arm/ebsa285/include/bsp/ebsa285.h: New file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs: New file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs: New file. Ditto.
	* arm/safl_util/.cvsignore: New file. Ditto.
	* common/bsp.ld: New file. Ditto.
	* common/common_top.mk: New file. Ditto.
	* fr30/c_bsp-crt0.c: New file. Ditto.
	* fr30/c_start.c: New file. Ditto.
	* fr30/eval1/eval1.c: New file. Ditto.
	* fr30/eval1/init_eval1.S: New file. Ditto.
	* include/bsp/defs.h: New file. Ditto.
	* m68k/c_bsp-crt0.c: New file. Ditto.
	* m68k/c_start.c: New file. Ditto.
	* m68k/328ads/328ads-rom.specs: New file. Ditto.
	* m68k/328ads/328ads.specs: New file. Ditto.
	* mips/c_bsp-crt0.c: New file. Ditto.
	* mips/c_start.c: New file. Ditto.
	* mips/dve39/dve39-rom.specs: New file. Ditto.
	* mips/dve39/dve39.c: New file. Ditto.
	* mips/dve39/dve39.specs: New file. Ditto.
	* mips/dve39/init_dve39.S: New file. Ditto.
	* mips/jmr3904/init_jmr3904.S: New file. Ditto.
	* mips/jmr3904/jmr3904.c: New file. Ditto.
	* ppc/c_bsp-crt0.c: New file. Ditto.
	* ppc/c_start.c: New file. Ditto.
	* ppc/rst.S: New file. Ditto.
	* ppc/cma101/cma101-rom.specs: New file. Ditto.
	* ppc/cma101/cma101.specs: New file. Ditto.
	* ppc/cma101/init_cma101.S: New file. Ditto.
	* ppc/evb403/evb403-rom.specs: New file. Ditto.
	* ppc/evb403/evb403.c: New file. Ditto.
	* ppc/evb403/init_evb403.S: New file. Ditto.
	* ppc/mbx/mbx-rom.specs: New file. Ditto.
	* ppc/yellowknife/init_yellowknife.S: New file. Ditto.
	* ppc/yellowknife/stamp.in: New file. Ditto.
	* ppc/yellowknife/yellowknife.c: New file. Ditto.
	* ppc/yellowknife/yellowknife.h: New file. Ditto.
	* ppc/yellowknife/yka/board.mk: New file. Ditto.
	* ppc/yellowknife/yka/yka-rom.specs: New file. Ditto.
	* ppc/yellowknife/yka/yka.specs: New file. Ditto.
	* ppc/yellowknife/ykb/board.mk: New file. Ditto.
	* ppc/yellowknife/ykb/ykb-rom.specs: New file. Ditto.
	* ppc/yellowknife/ykb/ykb.specs: New file. Ditto.
	* ppc/yellowknife/yklb/board.mk: New file. Ditto.
	* ppc/yellowknife/yklb/yklb-rom.specs: New file. Ditto.
	* ppc/yellowknife/yklb/yklb.specs: New file. Ditto.
	* sparc/c_bsp-crt0.c: New file. Ditto.
	* sparc/c_start.c: New file. Ditto.
	* sparc/mb8683x/init_mb8683x.S: New file. Ditto.
	* sparc/mb8683x/mb8683x-rom.specs: New file. Ditto.
	* sparc/mb8683x/mb8683x.c: New file. Ditto.
	* sparc/mb8683x/mb8683x.specs: New file. Ditto.

	* am30/_main.c: Removed file. Ditto.
	* am30/eval1/eval1.ld: Removed file. Ditto.
	* arm/arm-bsp.ld.coff: Removed file. Ditto.
	* arm/arm-bsp.ld.elf: Removed file. Ditto.
	* arm/aeb-1/aeb-1-rom.specs.coff: Removed file. Ditto.
	* arm/aeb-1/aeb-1-rom.specs.elf: Removed file. Ditto.
	* arm/aeb-1/aeb-1.ld: Removed file. Ditto.
	* arm/aeb-1/aeb-1.specs.coff: Removed file. Ditto.
	* arm/aeb-1/aeb-1.specs.elf: Removed file. Ditto.
	* arm/brutus/brutus-rom.specs.coff: Removed file. Ditto.
	* arm/brutus/brutus-rom.specs.elf: Removed file. Ditto.
	* arm/brutus/brutus.specs.coff: Removed file. Ditto.
	* arm/brutus/brutus.specs.elf: Removed file. Ditto.
	* arm/ebix-db/ebix-rom.specs.coff: Removed file. Ditto.
	* arm/ebix-db/ebix-rom.specs.elf: Removed file. Ditto.
	* arm/ebix-db/ebix.c: Removed file. Ditto.
	* arm/ebix-db/ebix.specs.coff: Removed file. Ditto.
	* arm/ebix-db/ebix.specs.elf: Removed file. Ditto.
	* arm/ebix-db/init_ebix.S: Removed file. Ditto.
	* arm/ebix-db/include/bsp/ebix.h: Removed file. Ditto.
	* arm/ebsa285/ebsa-rom.specs.coff: Removed file. Ditto.
	* arm/ebsa285/ebsa-rom.specs.elf: Removed file. Ditto.
	* arm/ebsa285/ebsa.c: Removed file. Ditto.
	* arm/ebsa285/ebsa.specs.coff: Removed file. Ditto.
	* arm/ebsa285/ebsa.specs.elf: Removed file. Ditto.
	* arm/ebsa285/init_ebsa.S: Removed file. Ditto.
	* arm/ebsa285/include/bsp/ebsa.h: Removed file. Ditto.
	* arm/pid/armpid-rom.specs.coff: Removed file. Ditto.
	* arm/pid/armpid-rom.specs.elf: Removed file. Ditto.
	* arm/pid/armpid.c: Removed file. Ditto.
	* arm/pid/armpid.ld: Removed file. Ditto.
	* arm/pid/armpid.specs.coff: Removed file. Ditto.
	* arm/pid/armpid.specs.elf: Removed file. Ditto.
	* arm/pid/board.mk: Removed file. Ditto.
	* arm/pid/init_armpid.S: Removed file. Ditto.
	* arm/pid/include/bsp/armpid.h: Removed file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.coff: Removed file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.elf: Removed file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Removed file. Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.elf: Removed file. Ditto.
	* fr30/fr30.ld: Removed file. Ditto.
	* fr30/eval1/eval.c: Removed file. Ditto.
	* fr30/eval1/init_eval.S: Removed file. Ditto.
	* m68k/328ads/328ads-rom.specs.coff: Removed file. Ditto.
	* m68k/328ads/328ads-rom.specs.elf: Removed file. Ditto.
	* m68k/328ads/328ads.ld: Removed file. Ditto.
	* m68k/328ads/328ads.specs.coff: Removed file. Ditto.
	* m68k/328ads/328ads.specs.elf: Removed file. Ditto.
	* mips/bsp3k.ld: Removed file. Ditto.
	* mips/bsp4k.ld: Removed file. Ditto.
	* mips/dve39/dve-rom.specs: Removed file. Ditto.
	* mips/dve39/dve.c: Removed file. Ditto.
	* mips/dve39/dve.specs: Removed file. Ditto.
	* mips/dve39/init_dve.S: Removed file. Ditto.
	* mips/jmr3904/init_jmr.S: Removed file. Ditto.
	* mips/jmr3904/jmr.c: Removed file. Ditto.
	* ppc/bsp.ld: Removed file. Ditto.
	* ppc/reset.S: Removed file. Ditto.
	* ppc/cma101/cma.specs: Removed file. Ditto.
	* ppc/cma101/cma_rom.specs: Removed file. Ditto.
	* ppc/cma101/init_cma286.S: Removed file. Ditto.
	* ppc/evb403/evb.c: Removed file. Ditto.
	* ppc/evb403/evb403_rom.specs: Removed file. Ditto.
	* ppc/evb403/init_evb.S: Removed file. Ditto.
	* ppc/mbx/mbx_rom.specs: Removed file. Ditto.
	* ppc/yka/board.mk: Removed file. Ditto.
	* ppc/yka/init_yk.S: Removed file. Ditto.
	* ppc/yka/yellowknife.h: Removed file. Ditto.
	* ppc/yka/yk.c: Removed file. Ditto.
	* ppc/yka/yka.specs: Removed file. Ditto.
	* ppc/yka/yka_rom.specs: Removed file. Ditto.
	* ppc/ykb/board.mk: Removed file. Ditto.
	* ppc/ykb/ykb.specs: Removed file. Ditto.
	* ppc/ykb/ykb_rom.specs: Removed file. Ditto.
	* ppc/yklb/board.mk: Removed file. Ditto.
	* ppc/yklb/yklb.specs: Removed file. Ditto.
	* ppc/yklb/yklb_rom.specs: Removed file. Ditto.
	* sparc/bsp86x.ld: Removed file. Ditto.
	* sparc/mb8683x/init_86x.S: Removed file. Ditto.
	* sparc/mb8683x/mb.c: Removed file. Ditto.
	* sparc/mb8683x/mb86x-rom.specs: Removed file. Ditto.
	* sparc/mb8683x/mb86x.specs: Removed file. Ditto.

1999-05-07  Drew Moseley  <dmoseley@cygnus.com>

	* arm/c_start.c (c_start): Added calls to BOARD_BOOT_LED_DEBUG()
	if it exists.  This puts a number on the LED to trace the boot
	process.
	* arm/brutus/init_brutus.S: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.

1999-06-15  Mark Salter  <msalter@cygnus.com>

	* ppc/bsp-crt0.S (_start): Fixed stack alignment.

	* net/cksum.c (__sum): Fixed for architectures with 64bit longs.

1999-06-07  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Fixed some mips64 problems.
	* mips/include/bsp/cpu.h: Make SR, CAUSE, FIR, and FSR
	same size as general regs.
	* mips/gdb-cpu.c (bsp_regsize): Change SR and CAUSE to
	be same size as general regs.
	* mips/cpu.c (_bsp_dump_regs): Use long modifier for
	printing _sr and _cause regs.

1999-06-04  Mark Salter  <msalter@cygnus.com>

	* mips/bsp3k.ld: Fixed ctor/dtor handling.
	* mips/bsp4k.ld: New File.
	* mips/start.S: Fixed float register save/restore.
	* mips/gdb-cpu.c (bsp_regbyte): Fixed float reg reference.

1999-06-03  Drew Moseley  <dmoseley@cygnus.com>

	* arm/aeb-1/init_aeb-1.S: Added missing parens.

1999-05-27  Mark Salter  <msalter@cygnus.com>

	* ppc/yklb/board.mk: Renamed yklb_boot.bin to yklb-boot.bin.

1999-05-25  Mark Salter  <msalter@cygnus.com>

	* ppc/README: Fixed some typos.

1999-05-19  Mark Salter  <msalter@cygnus.com>

	* ppc/yklb/board.mk: Use full path to bsp.ld when building boot.rom.

1999-04-30  Mark Salter  <msalter@cygnus.com>

	* ppc/mbx/board.mk: Added mbx-reset.o to BOARD_STARTUP.

1999-04-29  Mark Salter  <msalter@cygnus.com>

	* ppc/include/bsp/cpu.h: Add frame offsets for all GPRs.

	* ppc/cma101/board.mk: Changed to use new reset.S/start.S.
	* ppc/cma101/cma.specs: Ditto
	* ppc/cma101/cma_rom.specs: Ditto
	* ppc/evb403/board.mk: Ditto.
	* ppc/evb403/evb403.specs: Ditto.
	* ppc/evb403/evb403_rom.specs: Ditto.
	* ppc/mbx/board.mk: Ditto.
	* ppc/mbx/mbx.specs: Ditto.
	* ppc/mbx/mbx_rom.specs: Ditto.

	* ppc/start.S: Broke into 2 files to support switch to
	little-endian mode.
	* ppc/reset.S: New file from parts of old start.S

	* ppc/cpu.mk: Moved RAM_STARTUP into board fragments.

	* ppc/bsp.ld: Added .rom_vectors section.

	* common/common.mk: Added $(BOARD_EXTRAS) to default target list.

	* configure.in: Add configury for ppc yellowknife boards.
	* configure: Regenerated.
	* ppc/yka: New board dir with sources for all yellowknife
	builds and makefile/specs for yellowknife memory map A.
	* ppc/ykb: Makefile/specs for yellowknife memory map B.
	* ppc/yklb: Makefile/specs for little-endian yellowknife
	memory map B (X4 only).

1999-04-21  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Make sure RANLIB and AR get set.  This supports
	doing a configure/build from the bsp subdirectory to support
	building outside of the toolchain.
	* configure: Regenerated.

	* config.guess: New file. This supports doing a configure/build
	from the bsp subdirectory to support building outside of the
	toolchain.
	
	* Makefile.in (FLAGS_TO_PASS): Add $(tooldir) to FLAGS_TO_PASS so we
	can do a configure/build from the bsp subdirectory to support building
	outside of the toolchain.

1999-04-20  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Added a default case to the switch to error out if
	we try to configure BSP for an unsupported target.
	* configure: Regenerated.

1999-04-19  Drew Moseley  <dmoseley@cygnus.com>

	* arm/bsp-crt0.S: Reworked file to use ldr immediate
	pseudoinstruction.
	* arm/mem285.S: Ditto.
	* arm/start.S: Ditto.
	* arm/vectors.S: Ditto.
	* arm/aeb-1/init_aeb-1.S: Ditto.
	* arm/aeb-1/include/bsp/aeb-1.h: Ditto.
	* arm/brutus/init_brutus.S: Ditto.
	* arm/ebix-db/init_ebix.S: Ditto.
	* arm/ebix-db/include/bsp/ebix.h: Ditto.
	* arm/ebsa285/init_ebsa.S: Ditto.
	* arm/ebsa285/include/bsp/ebsa.h: Ditto.
	* arm/include/bsp/cpu.h: Ditto.
	* arm/pid/init_armpid.S: Ditto.
	* arm/pid/include/bsp/armpid.h: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.
	
1999-04-16  Drew Moseley  <dmoseley@cygnus.com>

	* arm/aeb-1/board.mk (BIN_FORMAT): Changed definition of
	BIN_FORMAT to be based on @target_os@ rather than @host_os@.
	* arm/brutus/board.mk (BIN_FORMAT): Ditto.
	* arm/ebix-db/board.mk (BIN_FORMAT): Ditto.
	* arm/ebsa285/board.mk (BIN_FORMAT): Ditto.
	* arm/pid/board.mk (BIN_FORMAT): Ditto.
	* arm/sa1100-multimedia/board.mk (BIN_FORMAT): Ditto.
	* m68k/328ads/board.mk (BIN_FORMAT): Ditto.

1999-04-15  Drew Moseley  <dmoseley@cygnus.com>

	* arm/sa-1100.c (uart_putchar): Make sure we check the correct bit
	for FIFO_FULL status so we don't drop characters.

	* arm/brutus/init_brutus.S: Enable MMU, instruction and data
	caches. Also, reworked file to use ldr immediate pseudoinstruction.
	* arm/brutus/brutus.c: Ditto.

	* arm/brutus/brutus-rom.specs.coff: Setup for new memory map setup
	by the MMU.
	* arm/brutus/brutus-rom.specs.elf: Ditto.
	* arm/brutus/brutus.specs.coff: Ditto.
	* arm/brutus/brutus.specs.elf: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.

	* arm/ebix-db/board.mk: Turn off BOARD_RESET_IMPLEMENTED.
	* arm/ebsa285/board.mk: Ditto.

1999-04-15  Mark Salter  <msalter@cygnus.com>

	* ppc/mbx/init_mbx.S: Fixed loading of upmtbl address.

1999-04-14  Mark Salter  <msalter@cygnus.com>

	* arm/sa-110.c: Cleaned up serial interrupt handling.

1999-04-13  Drew Moseley  <dmoseley@cygnus.com>

	* include/bsp_start.h: Removed hardware_init_hook and
	software_init_hook.

	* arm/brutus/board.mk: Swiched to using arm-bsp.ld rather
	than one specific one for each board.  Also have to have
	separate linker scripts for coff and elf targets.
	* arm/brutus/brutus-rom.specs.coff: Ditto.
	* arm/brutus/brutus-rom.specs.elf: Ditto.
	* arm/brutus/brutus.ld: Ditto.  Removed file.
	* arm/brutus/brutus.specs.coff: Ditto.
	* arm/brutus/brutus.specs.elf: Ditto.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebix-db/ebix-rom.specs.coff: Ditto.
	* arm/ebix-db/ebix-rom.specs.elf: Ditto.
	* arm/ebix-db/ebix.ld: Ditto. Removed file.
	* arm/ebix-db/ebix.specs.coff: Ditto.
	* arm/ebix-db/ebix.specs.elf: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/ebsa285/ebsa-rom.specs.coff: Ditto.
	* arm/ebsa285/ebsa-rom.specs.elf: Ditto.
	* arm/ebsa285/ebsa.ld: Ditto. Removed file.
	* arm/ebsa285/ebsa.specs.coff: Ditto.
	* arm/ebsa285/ebsa.specs.elf: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.elf: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto. Removed file.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.elf: Ditto.

	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Use the SZ
	defines for the size of the various memory banks.

	* arm/sa1100-multimedia/sa1100-multimedia.c: Return the address
	of the top of the remapped memory.
	
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Reworked file to
	use ldr immediate pseudoinstruction.

	* arm/start.S: Reworked file to use ldr immediate
	pseudoinstruction.  Also changed default stack.  Now it
	is initialized by _bsp_init_stack.

1999-04-13  Mark Salter  <msalter@cygnus.com>

	* arm/ebsa285/ebsa.specs.elf: Add -u isatty to link line.
	* arm/ebsa285/ebsa-rom.specs.elf: Ditto.
	* arm/ebix-db/ebix.specs.elf: Ditto.
	* arm/ebix-db/ebix-rom.specs.elf: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.elf: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.elf: Ditto.
	* arm/brutus/brutus.specs.elf: Ditto.
	* arm/brutus/brutus-rom.specs.elf: Ditto.
	* arm/aeb-1/aeb-1.specs.elf: Ditto.
	* arm/aeb-1/aeb-1-rom.specs.elf: Ditto.
	* arm/pid/armpid.specs.elf: Ditto.
	* arm/pid/armpid-rom.specs.elf: Ditto.
	
	* arm/ebsa285/ebsa.specs.coff: Add -u _isatty to link line.
	* arm/ebsa285/ebsa-rom.specs.coff: Ditto.
	* arm/ebix-db/ebix.specs.coff: Ditto.
	* arm/ebix-db/ebix-rom.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Ditto.
	* arm/brutus/brutus.specs.coff: Ditto.
	* arm/brutus/brutus-rom.specs.coff: Ditto.
	* arm/aeb-1/aeb-1.specs.coff: Ditto.
	* arm/aeb-1/aeb-1-rom.specs.coff: Ditto.
	* arm/pid/armpid.specs.coff: Ditto.
	* arm/pid/armpid-rom.specs.coff: Ditto

1999-04-12  Mark Salter  <msalter@cygnus.com>

	* arm/bsp-crt0.S: Setup NULL fp before calling c_start.

	* arm/safl_util/Makefile: New file. Makefile for flash utility to flash
	PCI based Intel StrongArm eval boards.
	* arm/safl_util/README: New file.
	* arm/safl_util/safl.c: New file. Loadable kernel module for Linux.
	* arm/safl_util/sa_flash.c: New file. Flash utility.

1999-04-08  Mark Salter  <msalter@cygnus.com>

	* arm/include/bsp/sa-110.h: Added cache size defines.
	* arm/ebix-db/include/bsp/ebix.h: Lengthened loop count for
	flashing LEDs now that we run cached.
	* arm/ebix-db/init_ebix.S: Added mmu startup support.
	* arm/ebsa285/init_ebsa.S: Ditto.
	* arm/ebix-db/ebix.ld: Moved pagetable past _end so it won't
	get zeroed along with bss.
	* arm/ebsa285/ebsa.ld: Ditto.
	* arm/ebix-db/ebix.c: Added mmu init code.
	* arm/ebsa285/ebsa.c: Ditto.
	* arm/sa-110.c: Added SA110 cache flush routines.
	* arm/cpu.c: Added support for SA110 cache.

1999-04-07  Drew Moseley  <dmoseley@cygnus.com>

	* arm/sa1100-multimedia/board.mk (BOARD_OBJS): Removed the start
	files from the BOARD_OBJS definition so they would not get linked
	into the bsp lib.
	* arm/brutus/board.mk (BOARD_OBJS): Ditto.

	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Pass config_data
	parameter properly.

1999-04-06  Drew Moseley  <dmoseley@cygnus.com>

	* common/generic-mem.c: Flush the icache after writing memory.

	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Enable
	MMU, instruction and data caches.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto.

	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.coff: Setup
	for new memory map setup by the MMU.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.elf: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.elf: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.

	* arm/include/bsp.sa-1100.h: Cleanup of cache defines.

	* arm/include/bsp/cpu.h: Lots of cleanup and new
	MMU based defines.

	* arm/brutus/init_brutus.S: Disabled instruction cache
	until MMU and data cache initialization is done.

	* arm/aeb-1/board.mk: Cleaned up some dependencies.

	* arm/vectors.S: Make sure page1 is of the correct size.

	* arm/start.S: Remove the exception vectors that were at the
	bottom of rom now that we have ram at 0.

	* arm/sa-1100.c (__dcache_flush): Implemented data cache
	flush routine.

	* arm/irq-cpu.c (generic_exception_handler): Only print
	debugging info if it is not an abort exception.  The reason
	being that an abort exceptions may be triggered by a normal
	exception handler when doing a stack dump, and then we would
	be in an endless loop.

	* arm/cpu.c: Moved mmu setup code to sa1100-multimedia.c.

	* arm/c_start.c (c_start): Moved the memory sizing code into 
	sa1100-multimedia.c.

	* common/gdb.c (_bsp_gdb_handler): Change the initialization of
	sigval to avoid a clobbering when returning from a longjmp().

	* common/syscall.c (_bsp_do_syscall): Handle SYS_RESET function
	calls.

	* include/syscall.h: Added SYS_reset define.

	* common/common.mk (COMMON_OBJS): Added reset.o.

	* arm/include/bsp/sa-110.h (__board_reset): Initial implementation
	of __board_reset inline assembly function.
	* arm/include/bsp/sa-1100.h: Ditto.

	* arm/brutus/board.mk (BOARD_DEFINES): Added BOARD_RESET_IMPLEMENTED
	to BOARD_DEFINES.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.

	* syslib/reset.c: New file to implement a reset.

1999-04-06  Mark Salter  <msalter@cygnus.com>

	* arm/ebix-db/include/bsp/ebix.h: Use byte stores for LEDs.
	Add placeholder for mem info.
	* arm/sa-110.c: Add support for different FCLK speeds in baud table.
	* arm/ebix-db/ebix.c: Fill out memory list to match installed DIMM.
	* arm/mem285.S: New file. Init for 21285 SDRAM unit.
	* arm/cpu.mk: Add rule for mem285.o
	* arm/ebsa285/init_ebsa.S: Moved SDRAM init into mem285.S
	* arm/ebix-db/init_ebix.S: Call mem285.S for SDRAM init.
	* arm/ebix-db/board.mk: Remove start files for BOARD_OBJS. Add mem285.o
	* arm/ebsa285/board.mk (BOARD_OBJS): Add mem285.o.

Fri Apr 02 14:31:55 1999  Drew Moseley  <dmoseley@cygnus.com>

	* include/bsp/gdb-data.h: Wrapped with #ifndef __ASSEMBLER__.

	* m68k/include/bsp/cpu.h: Fixed some bugs in the inline assembly
	macro PORT_TOGGLE_DEBUG().

1999-04-02  Mark Salter  <msalter@cygnus.com>

	* include/bsp_start.h (c_crt0_bsp_specific): Add config data argument.
	* arm/c_start.c (c_start): Add config_data pointer argument.
	* arm/ebsa285/ebsa.c (_bsp_board_init): Fixup memory config info.
	* arm/start.S: Added support for AIF header.
	* arm/include/bsp/sa-110.h: Added more register defines.
	* arm/ebsa285/init_ebsa.S: Added ROM alias disabling and SDRAM sizing.
	* arm/ebsa285/include/bsp/ebsa.h: Fixed PORT_TOGGLE_DEBUG macro.
	Add placeholder entry for BOARD_MEMORY_LIST.
	* arm/ebsa285/ebsa.ld: Added support for ARM aif header.
	* arm/ebsa285/board.mk (BOARD_OBJS): Removed startup files from list
	as they don't need to go in library.

1999-03-24  Mark Salter  <msalter@cygnus.com>

	* arm/start.S: Removed include of gdb.h as it is unneeded.

	* sparc/cache-sparcl.S: Fixed icache and dcache flush.

1999-03-22  Mark Salter  <msalter@cygnus.com>

	* common/common.mk: Cleaned up and modified for better organization.
	* syslib/*: Moved libc glue from common subdir to new syslib subdir.
	* common/bsp_if.c: Separated in several files.
	* common/printf.c: Ditto.
	* common/bsp_cache.c: New file.
	* common/console-io.c: Ditto.
	* common/debug-io.c: Ditto.
	* common/gdb-data.c: Ditto.
	* common/hex-utils.c: Ditto.
	* common/shared-data.c: Ditto.
	* common/sprintf.c: Ditto.
	* common/vprintf.c: Ditto.
	* include/bsp/hex-utils.h: Ditto.
	* include/bsp/gdb-data.h: Ditto.

	* include/gdb.h: Moved hex util prototypes to hex-utils.h.

	* common/bsp.c (_bsp_init): Setup pointer to shared gdb data.
	* include/bsp_if.h: Added pointer to shared debug data.
	* common/gdb.c: Added mechanism for application to hook into
	stub functions through a shared data structure.

1999-03-18  Mark Salter  <msalter@cygnus.com>

	* common/gdb.c: Added code to check for incoming ^C while sending
	packets.

1999-03-17  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/mb86964.c: Added debug message logging. Fixed irq
	latch clear.
	* sparc/mb8683x/mb.c: Added debug log support. Make INT15 edge
	triggered to simplify NMI handling.
	* sparc/include/bsp/cpu.h: Added inline support to read/write psr.
	* sparc/exceptions.S: Added special handler for NMI.
	* sparc/cpu.c: Add support for debug logging to SRAM buffer.
	Use special vector for INT15 (NMI).

	* net/timers.c: Added debug logging.
	* net/tcp.c: Added more debug logging.
	* common/gdb.c: Added option to log packets.
	* common/bsplog.c (bsp_log): Added system ticks to log messages.

Wed Mar 17 09:40:07 1999  Drew Moseley  <dmoseley@cygnus.com>

	* common/common.mk (OBJCOPY_FLAGS): Make sure to remove the page
	table section from srecords and binaries.

	* common/bsp_if.c (bsp_console_putc): Added conditionally compiled
	code to only print "printable" characters on the console port.

	* arm/brutus/brutus.specs.coff: Changed the default location of the
	text segment to be in the second bank of DRAM.
	* arm/brutus/brutus.specs.coff: Ditto.

	* arm/brutus/brutus.ld: Load the .page_ta* code in its own section
	so it doesn't take up space if there is nothing in the section.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto.

	* arm/sa-1100.c: Added code to handle a second serial port.
	* arm/include/bsp/sa-1100.h: Ditto.

	* arm/irq-cpu.c (generic_exception_handler): Cleaned up the debug
	code.
	
1999-03-16  Mark Salter  <msalter@cygnus.com>

	* fr30/eval1/init_eval.S: Added wait state for ROM accesses.

1999-03-15  Mark Salter  <msalter@cygnus.com>

	* fr30/include/bsp/cpu.h: Add DISABLE_IRQ, ENABLE_IRQ, and IRQ_FLAGS.
	* fr30/cpu.c (_bsp_cpu_init): Add support for debug logging under
	if BSP_LOG defined.

Fri Mar 12 15:09:42 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/sa-1100.c (uart_setbaud): Disable the uart RX and TX blocks
	before changing the baud rate.

	* arm/aeb-1/aeb-1-rom.specs.coff: Added extra leading underscore
	for coff target.
	* arm/aeb-1/aeb-1.specs.coff: Ditto.
	* arm/brutus/brutus-rom.specs.coff: Ditto.
	* arm/brutus/brutus.specs.coff: Ditto.
	* arm/ebix-db/ebix-rom.specs.coff: Ditto.
	* arm/ebix-db/ebix.specs.coff: Ditto.
	* arm/ebsa285/ebsa-rom.specs.coff: Ditto.
	* arm/ebsa285/ebsa.specs.coff: Ditto.
	* arm/pid/armpid-rom.specs.coff: Ditto.
	* arm/pid/armpid.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.coff: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Ditto.

1999-03-12  Mark Salter  <msalter@cygnus.com>

	* common/gdb-threads.c (_gdb_changethread): Fixed for case where we
	are changing to original (current) thread.

	* include/bsp/dbg-threads-api.h: Added prototype for dbg_scheduler().

1999-03-11  Mark Salter  <msalter@cygnus.com>

	* include/gdb-threads.h: Changed prototype for _gdb_currthread().

	* common/gdb.c (__unpack_nibbles): Fixed off by one bug.
	(process_query): Fixed pointer pkt pointer passed to thread funcs. 
	Support current thread query.

	* common/gdb-threads.c: Cleaned up debug messages. Added function
	to handle current thread query.

Thu Mar 11 19:56:59 1999  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Turn on the boards for arm or strongarm coff targets.
	* configure: Regenerated.

	* common/common.mk (OBJCOPY_FLAGS): Add --remove-section=.bss to
	OBJCOPY_FLAGS to force it to not dump the bss section to binary
	and srecord files.  Since the sections are not loaded and contain
	all 0's it doesn't need to explicitly be in the image.  Also 
	the base address of the bss section for these boards was so
	high that it was crashing objcopy.

1999-03-11  Mark Salter  <msalter@cygnus.com>

	* fr30/eval1/eval.c: Added small receive queue for uart.

1999-03-10  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Temporarily turn off building for any arm or
	strongarm coff targets since it is now broken.
	* configure: Regenerated

Wed Mar 10 17:24:16 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/aeb-1/aeb-1.ld: Fixed error in handling of underscores
	on identifiers that was discovered when supporting coff.
	* arm/brutus/brutus.ld: Ditto.
	* arm/ebix-db/ebix.ld: Ditto.
	* arm/ebsa285/ebsa.ld: Ditto.
	* arm/pid/armpid.ld: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto.

	* arm/vectors.S: Removed typo for coff targets.

	* configure.in: Added support for coff targets for arm and
 	strongarm.	
	* configure: Regenerated.
	
	* arm/aeb-1/aeb-1-rom.specs.coff: Supporting coff and elf
 	simultaneously requires two separate specs files. New file.
	* arm/aeb-1/aeb-1-rom.specs.elf: Ditto. New file.
	* arm/aeb-1/aeb-1.specs.coff: Ditto. New file.
	* arm/aeb-1/aeb-1.specs.elf: Ditto. New file.
	* arm/brutus/brutus-rom.specs.coff: Ditto. New file.
	* arm/brutus/brutus-rom.specs.elf: Ditto. New file.
	* arm/brutus/brutus.specs.coff: Ditto. New file.
	* arm/brutus/brutus.specs.elf: Ditto. New file.
	* arm/ebix-db/ebix-rom.specs.coff: Ditto. New file.
	* arm/ebix-db/ebix-rom.specs.elf: Ditto. New file.
	* arm/ebix-db/ebix.specs.coff: Ditto. New file.
	* arm/ebix-db/ebix.specs.elf: Ditto. New file.
	* arm/ebsa285/ebsa-rom.specs.coff: Ditto. New file.
	* arm/ebsa285/ebsa-rom.specs.elf: Ditto. New file.
	* arm/ebsa285/ebsa.specs.coff: Ditto. New file.
	* arm/ebsa285/ebsa.specs.elf: Ditto. New file.
	* arm/pid/armpid-rom.specs.coff: Ditto. New file.
	* arm/pid/armpid-rom.specs.elf: Ditto. New file.
	* arm/pid/armpid.specs.coff: Ditto. New file.
	* arm/pid/armpid.specs.elf: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.coff: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs.elf: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.coff: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia.specs.elf: Ditto. New file.
	* aeb-1/aeb-1-rom.specs: Ditto. Removed file.
	* aeb-1/aeb-1.specs: Ditto. Removed file.
	* brutus/brutus-rom.specs: Ditto. Removed file.
	* brutus/brutus.specs: Ditto. Removed file.
	* ebix-db/ebix-rom.specs: Ditto. Removed file.
	* ebix-db/ebix.specs: Ditto. Removed file.
	* ebsa285/ebsa-rom.specs: Ditto. Removed file.
	* ebsa285/ebsa.specs: Ditto. Removed file.
	* pid/armpid-rom.specs: Ditto. Removed file.
	* pid/armpid.specs: Ditto. Removed file.
	* sa1100-multimedia/sa1100-multimedia-rom.specs: Ditto. Removed file.
	* sa1100-multimedia/sa1100-multimedia.specs: Ditto. Removed file.
	* arm/aeb-1/board.mk: Ditto.
	* arm/brutus/board.mk: Ditto.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/pid/board.mk: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.

1999-03-10  Mark Salter  <msalter@cygnus.com>

	* fr30/singlestep.c: Fixed BP setting when target of branch taken is
	same as branch not taken.

Tue Mar 09 10:34:02 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/brutus/include/bsp/brutus.h (BOARD_MEMORY_LIST): Filled
	out the memory list correctly.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.

	* arm/brutus/brutus.ld: Set the initial stack to the top
	of the top bank of memory.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto.

	* arm/sa-1100.c (__dcache_flush): Cleanup of flushing routine.
	* arm/include/bsp/sa-1100.h: Ditto.

	* arm/c_start.c (c_start): Added conditionally compiled memory
	sizing code.

	* include/bsp_if.h: Added some missing SZ definitions.

	* arm/irq-cpu.c (generic_exception_handler): Switch to using an
	illegal instruction for a breakpoint rather than a SWI.
	* arm/singlestep.c (insert_ss_break): Ditto.
	* arm/include/bsp/cpu.h: DItto.

	* arm/gdb-cpu.c (bsp_get_signal): For an undefined instruction
	check if it is a breakpoint, and if so issue a TARGET_SIGNAL_TRAP
	rather than TARGET_SIGNAL_ILL.

	* arm/cpu.mk (gdb-cpu.o): Added dependency on insn.h for
 	gdb-cpu.o.

	* arm/brutus/include/bsp/brutus.h (HEX_LED): Added defines
	for flash_led() routine.  Also some clean up.

	* arm/brutus/init_brutus.S: Clean up.

	* arm/brutus/brutus.ld: Set the initial stacks to the correct
	location.

	* arm/brutus/brutus.c (flash_led): First pass implementation
	of flash_led() for the brutus board.

Fri Mar 05 17:12:55 1999  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/cpu.mk: Moved startup file definitions into the board
	specific makefile so we will get a different startup file(s)
	created for each boards.
	* m68k/328ads/328ads.specs.coff: Ditto.
	* m68k/328ads/328ads.specs.elf: Ditto.
	* m68k/328ads/board.mk: Ditto.
	* m68k/include/bsp/cpu.h: Ditto.
	
	* include/bsp_if.h: Added some convenience BIT positions and SZ
	defintions.

	* arm/include/bsp/sa-1100.h: Changed some of the definitions to
	use the new convenience defines in bsp_if.h.  Removed some
	duplicately defined registers.  Added some new register defines.

	* arm/brutus/board.mk: Moved microcontroller initialization back
	into the board init_blah file since it really is dependent on
	what memory is installed on the board.  
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto.
	* arm/init_sa-110.S: Ditto. Removed file.
	* arm/init_sa-1100.S: Ditto. Removed file.

	* arm/brutus/brutus-rom.specs: Setup the correct text and data
	addresses for the brutus board.
	* arm/brutus/brutus.specs: Ditto.

	* arm/brutus/init_brutus.S: First pass at brutus initialization
	code.  Doesn't work yet, but it needs to be checked in now.

	* arm/brutus/include/bsp/brutus.h: Added some brutus definitions
	(LED's and such).

	* arm/ebix-db/init_ebix.S: Remove some unnecessary code.
	* arm/ebsa285/init_ebsa.S: Ditto.

1999-03-05  Mark Salter  <msalter@cygnus.com>

	* net/socket.c: Reorganized so that client layer can catch close.

	* net/pktbuf.c: Added BSPLOG statements as debugging aid.
	* net/enet.c: Ditto.
	* net/timers.c: Ditto.
	* net/tcp.c: Ditto. Fixed several synchronization bugs.

	* include/bsp_if.h: Added _bsp_dbg_connect_abort() prototype.

	* include/net.h: Modified some socket interfaces.

	* common/common.mk: Add rule for bsplog.o dependencies.

	* common/gdb.c: Catch connection reset/close and behave as if
	inferior was killed.

	* common/net.c: Reorganized to catch connection resets/closings.

	* common/bsplog.c: New file.
	* include/bsplog.h: New file.

1999-03-03  Nick Clifton  <nickc@cygnus.com>

	* fr30/fr30.ld: Add explicit placements of the .eh_frame and
	.gcc_except_table sections.

Wed Mar 03 14:28:35 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/brutus/init_brutus.S: Call new routine _sa1100_init from
 	_bsp_init_stack instead of executing that code inline.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto.

	* arm/brutus/board.mk (init_sa-1100.o): Added dependency
 	information for new file.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.

	* arm/sa-110.c: Define the bauds structure here rather than in
 	board-specific code since the clocks and baud generation for the
 	SA110 and SA1100 happen on the microcontroller.
	* arm/sa-1100.c: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.
	* arm/ebix-db/include/bsp/ebix.h: Ditto.
	* arm/ebsa285/include/bsp/ebsa.h: Ditto.
	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Ditto.
	
	* arm/init_sa-110.S: New file.
	* arm/init_sa-1100.S: New file.

1999-03-02  Mark Salter  <msalter@cygnus.com>

	* fr30/cpu.mk: Use fr30-specific register functions.

Tue Mar 02 11:49:51 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/brutus/brutus.c (_bsp_install_board_irq_controllers): Moved
 	call to _bsp_install_sa110_irq_controllers() out of this routine
 	and into the main cpu routines.
	* arm/ebix-db/ebix.c: Ditto.
	* arm/ebsa285/ebsa.c: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto.
	
	* arm/sa-110.c (_bsp_install_sa110_irq_controllers): Added some
 	debug code.  * arm/sa-1100.c
 	(_bsp_install_sa1100_irq_controllers): Ditto.
	(uart_irq_handler): Test the right bits to determine if it's my
 	interrupt.  Also clear the bits in the status register by writing
 	1's to them.

	* arm/irq-cpu.c (_bsp_install_cpu_irq_controllers): Added
 	compile-time conditional calls to
 	_bsp_install_sa1100_irq_controllers() and
 	_bsp_install_sa110_irq_controllers().

	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Initialize the
 	pll to a known state.  Enable the icache and dcache.

	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Initialize
	the pll to a known state.
	Enable the icache and dcache.

	* arm/include/bsp/sa-110.h (MMU): Make sure MMU is defined.
	* arm/include/bsp/sa-1100.h (MMU): Ditto.  Removed cache register
 	definitions.  They are now in cpu.h

	* arm/include/bsp/cpu.h (BREAKPOINT): Removed several unnecessary
 	trailing semicolons.
	(__mcr): Added #defines to set up inline asm calls to mcr and
 	mrc.x
	(__mrc): Ditto.  Added basic MMU definitions.

	* arm/brutus/brutus.c (_bsp_board_init): Removed setting of the
 	.cpu field of the platform info structure.  It is now set in
 	arm/sa-1100.c
	* arm/ebix-db/ebix.c: Ditto.
	* arm/ebsa285/ebsa.c: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto.

	* arm/aeb-1/aeb-1.ld: Added the ".vectors" section into the data
 	section.  Also added the ".page_table" section at the correct
 	address.
	* arm/brutus/brutus.ld: Ditto.
	* arm/ebix-db/ebix.ld: Ditto.
	* arm/ebsa285/ebsa.ld: Ditto.
	* arm/pid/armpid.ld: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto.

	* arm/aeb-1/aeb-1-rom.specs: Moved the data address to 0 since it
 	now incorporates the ".vectors" section.
	* arm/brutus/brutus-rom.specs: Ditto.
	* arm/ebix-db/ebix-rom.specs: Ditto.
	* arm/ebsa285/ebsa-rom.specs: Ditto.
	* arm/pid/armpid-rom.specs: Ditto.

	* arm/vectors.S: Put the exception vectors into the ".vectors"
 	section.  This is put at address 0 by the linker script, so there
 	is no hardcoded addressing going on.  Added the ".page_table"
 	section which is located at the right memory location by the
 	linker script.

	* arm/start.S: Make sure that the exception vectors in ROM are
 	only enabled for the SA1100 Multimedia and Brutus boards.  This
 	will go away once we enable the MMU and put RAM at 0.

	* arm/singlestep.c (insert_ss_break): Call the dcache and icache
 	flush routines after setting a breakpoint so we are sure to get
 	the latest instructions from ram.

	* arm/sa-1100.c (__icache_flush): New routine.
	(__dcache_flush): Ditto.

	* arm/cpu.c (_bsp_initvectors): Removed explicit memcpy of vectors
 	from rom to ram.  It is now handled as initialized data, and
 	copied there by c startup code.
	(_bsp_mmu_init): New Routine to handle mmu initialization.
  	Currently stubbed out.
	(_bsp_cpu_init): Make sure the caches and cache info structures
 	are properly initialized.

	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Increased
 	the delay count on PORT_TOGGLE_DEBUG() to compensate for having
 	the icache enabled.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto.

	* arm/sa1100-multimedia/sa1100-multimedia.specs: Setup the text
 	section properly.

1999-02-25  Mark Salter  <msalter@cygnus.com>

	* sparc/cpu.c (_bsp_install_vsr): Make sure MT debug hook is NULL.
	* sparc/mb8683x/mb.c (kill_hook): Reinstall vectors in case 
	they were patched by user program.

	* sparc/exceptions.S: Don't turn interrupts on if stub entry is
	being called.

1999-02-24  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/mb.c (uart_irq_handler): Make sure queue is emptied
	when ^C detected.
	(kill_hook): New function to ensure interrupts are masked when
	debugger 'kills'  inferior program.

	* common/gdb.c: Eliminated spurious '+' characters.
	Added kill hook for bsp use.

	* common/queue.c (_bsp_enqueue): Fixed overflow problem.

Wed Feb 24 16:23:15 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/start.S: Setup some interrupt vectors at the base
	of the .text segment to the SA1100 Multimedia board
	will work until we get the MMU configured to remap ram
	to 0.

	* arm/sa-1100.c: Initialize the IRQ controller properly.
	Mask some register fields properly.

	* arm/include/bsp/sa-1100.h: Clean up.  Also added some
	new register definitions.

	* arm/cpu.mk: Moved startup file definitions into the board
	specific makefile so we will get a different startup file(s)
	created for each boards.
	* arm/aeb-1/aeb-1-rom.specs: Ditto.
	* arm/aeb-1/aeb-1.specs: Ditto.
	* arm/aeb-1/board.mk: Ditto.
	* arm/brutus/board.mk: Ditto.
	* arm/brutus/brutus-rom.specs: Ditto.
	* arm/brutus/brutus.specs: Ditto.
	* arm/ebix-db/board.mk: Ditto.
	* arm/ebix-db/ebix-rom.specs: Ditto.
	* arm/ebix-db/ebix.specs: Ditto.
	* arm/ebsa285/board.mk: Ditto.
	* arm/ebsa285/ebsa-rom.specs: Ditto.
	* arm/ebsa285/ebsa.specs: Ditto.
	* arm/pid/board.mk: Ditto.
	* arm/pid/armpid-rom.specs: Ditto.
	* arm/pid/armpid.specs: Ditto.
	* arm/sa1100-multimedia/board.mk: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs: Ditto.
	* arm/sa1100-multimedia/sa1100-multimedia.specs: Ditto.
	* common/common.mk: Ditto.
	* arm/brutus/include/bsp/brutus.h: Fix some types in the asm
	macros that resulted in invalid instructions.
	* arm/ebix-db/include/bsp/ebix.h: Ditto.
	* arm/ebsa285/include/bsp/ebsa.h: Ditto.

	* arm/ebsa285/ebsa.c: Implemented the flash_led() routine.

	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Implemented
	_bsp_init_stack routine.  Now it initialized the DRAM controller
	and discrete LEDs.

	* arm/sa1100-multimedia/sa1100-multimedia.c: Implemented the
	flash_led() routine.

	* arm/sa1100-multimedia/include/bsp/sa1100-multimedia.h: Cleanup.

1999-02-24  Mark Salter  <msalter@cygnus.com>

	* net/ip.c (ip_addr_match): Match all if our local address is 0.0.0.0.

1999-02-22  Mark Salter  <msalter@cygnus.com>

	* sparc/include/gdb-cpu.h: Added support for 'T' packet.
	* sparc/vectors.S: Fixed window flush handler.
	* sparc/reg.c (bsp_set_register): Fixed setting of PC.
	* sparc/exceptions.S: Fixed restore of %psr.

	* common/bsp_if.c: Fixed cache flush after installing dbg and kill
	handlers

	* common/gdb.c: Added thread support.
	* sparc/gdb-cpu.c: Ditto.
	* sparc/include/bsp/cpu.h: Ditto.
	* sparc/mb8683x/board.mk: Ditto.
	* common/common.mk: Ditto.
	* common/gdb-threads.c: New file.
	* common/threads-syscall.c: New file.
	* include/gdb-threads.c: New file.
	* include/threads-syscall.c: New file.
	* include/bsp/dbg-threads-api.h: New file.

	* sparc/mb8683x/init_86x.S: Put this init code in a special section
	to force into first 32K of ROM.
	* sparc/bsp86x.ld: Place .bsp_init section before .text

Mon Feb 22 12:33:49 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/sa1100-multimedia/board.mk: Renamed all sa1100 stuff
	to be sa1100-multimedia so it wouldn't conflict w/ the sa-1100
	files corresponding to the microcontroller itself.
	* arm/sa1100-multimedia/init_sa1100-multimedia.S: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia-rom.specs: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia.c: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia.ld: Ditto. New file.
	* arm/sa1100-multimedia/sa1100-multimedia.specs: Ditto. New file.
	* arm/sa1100-multimedia/init_sa1100.S: Ditto. Removed file.
	* arm/sa1100-multimedia/sa1100-rom.specs: Ditto. Removed file.
	* arm/sa1100-multimedia/sa1100.c: Ditto. Removed file.
	* arm/sa1100-multimedia/sa1100.ld: Ditto. Removed file.
        * arm/sa1100-multimedia/sa1100.specs: Ditto. Removed file.

	* arm/brutus/board.mk (sa-1100.o): Made sa-1100.o depend on 
	board-specific header file.
	* arm/ebix-db/board.mk (sa-1100.o): Ditto.
	* arm/ebsa285/board.mk (sa-1100.o): Ditto.

	* configure.in: Added sa1100-multimedia eval board.
	* configure: Regenerated.

1999-02-18  Mark Salter  <msalter@cygnus.com>

	* include/gdb.h: Added prototypes for exported packet forming/unpacking
	helper routines.

	* common/gdb.c: Support binary memory writes. Support CRC. Merged in
	some thread support.

	* sparc/mb8683x/mb.c: Get cpu version and modify startup accordingly.
	* sparc/include/bsp/cpu.h: Add space for saved %asr17.
	* sparc/stublow.S: Save and restore %asr17.

Thu Feb 18 12:55:42 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/brutus/brutus-rom.specs: Added -DCPU_SA1100 to the
	command line.
	* arm/brutus/brutus.specs: Ditto.

	* arm/brutus/board.mk (BOARD_OBJS): Added sa-1100.o to
	the BOARD_OBJS macro.
	(BOARD_DEPENDS): Added the BOARD_DEPENDS macro.

	* arm/include/bsp/cpu.h: Added conditional include
	of sa-1100.h

	* arm/ebsa285/ebsa.c: Filled in the stub functions.
	* arm/ebsa285/init_ebsa.S: Ditto.
	* arm/ebsa285/include/bsp/ebsa.h: Ditto.
	* arm/brutus/brutus.c: Ditto.
	* arm/brutus/init_brutus.S: Ditto.
	* arm/brutus/include/bsp/brutus.h: Ditto.

	* arm/ebsa285/ebsa-rom.specs: Set the real text address.
	* arm/brutus/brutus-rom.specs: Ditto.
	
	* arm/ebsa285/board.mk (BOARD_OBJS): Added sa-110.o to the 
	BOARD_OBJS macro.
	(BOARD_DEPENDS): Added the BOARD_DEPENDS macro.

	* arm/ebix-db/include/bsp/ebix.h (BOARD_BAUD_LIST): Filled in
	the BAUD_LIST.
	(BOARD_MEMORY_LIST): Filled in the MEMORY_LIST.

	* arm/sa-110.c: Lots of cleanup.

	* arm/irq-cpu.c (_bsp_install_cpu_irq_controllers): Moved call
	of _bsp_install_sa110_irq_controllers() and 
	_bsp_install_sa1100_irq_controllers() to the board specific
	source file.
	* arm/ebix-db/ebix.c: Ditto.

	* configure.in: Added ebsa285 and brutus boards to the default
	boards list.
	* configure: Regenerated.

	* devo/bsp/arm/sa-1100.c: New file.
	* devo/bsp/arm/include/bsp/sa-1100.h: New file.

1999-02-18  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/init_86x.S: Size memory so SIMMs are usable.
	* sparc/include/bsp/cpu.h: Add more info to FUNC_START and FUNC_END.
	* sparc/cpu.c (_bsp_install_vsr): Install low-level stub entry.
	* sparc/stublow.S: New file.
	* sparc/cpu.mk (CPU_OBJS): Add stublow.o to list.
	* sparc/exceptions.S: Only restore certain %psr fields.
	Broke out stub entry code to separate function/file.
	* sparc/mb8683x/mb86964.c: Added interrupt support.
	* sparc/mb8683x/mb.c: Added interrupt support.
	* sparc/start.S: Enable interrupts before calling main.
	* sparc/irq-cpu.c: Added support for MB86940 interrupt controller.

1999-02-17  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/mb86x.specs: Fixed text and data addresses.
	* sparc/start.S: Zero arguments to main.
	* sparc/bsp-crt0.S: Initialize pointer to shared data.
	* sparc/mb8683x/mb86964.h: Made read/write routine inline.
	* sparc/mb8683x/mb.c (init_ms_timer): Use prescaler output.
	* sparc/mb8683x/init_86x.S: Moved cache routines to separate file.
	* sparc/include/bsp/cpu.h: Added window flush exception.
	* sparc/vectors.S: Added support for window flush "ta 3".
	* sparc/exceptions.S: Added support for sparclite debug regs. Fixed
	reenabling of traps.
	* sparc/cpu.c (syscall_handler): Fixed arg4.
	(_bsp_install_vsr): Setup window flush handler.
	(syscall_handler): Take args from %o regs, not %i.

1999-02-16  Mark Salter  <msalter@cygnus.com>

	* sparc/mb8683x/board.mk: Add rules for new files.
	* sparc/mb8683x/mb.c (_bsp_board_init): Add network support.
	* sparc/mb8683x/mb86964.h: New file.
	* sparc/mb8683x/mb86964.c: New file.
	* sparc/mem.c: Added support for arbitrary address spaces.
	* sparc/cache-sparcl.S: New file.
	* sparc/mem-asm.S: New file.
	* sparc/cpu.mk: Added mem-asm.o and rule for cache-sparcl.o

1999-02-15  Mark Salter  <msalter@cygnus.com>

	* sparc/include/bsp/cpu.h: Added new defines.
	* sparc/trap.S: Filled in with actual code.
	* sparc/mb8683x/mb.c (uart_putchar): Test TXRDY instead of TXEMP.
	* sparc/cpu.mk (CPU_OBJS): Added exceptions.o to list.
	* sparc/cpu.c (_bsp_install_vsr): New function to install bsp vectors.
	* sparc/vectors.S: Save psr in trampoline code. Add trap to vsr table.
	* sparc/exceptions.S: New file.
	* sparc/start.S: Save board memory info.
	* sparc/gdb-cpu.c: Filled in incomplete parts.

1999-02-11  Mark Salter  <msalter@cygnus.com>

	* ppc/cma101/cma101.c (_bsp_board_init): Modified net init interface.
	* ppc/cma101/mb86964.c: Added interrupt support.

	* common/gdb.c: Modified to delay sending packet ACK to speed up
	tcp channel downloads dramatically.
	* fr30/eval1/init_eval.S: Added defines for DMCR.
	* fr30/eval1/mb86964.c: Driver cleanups. Added interrupt support.
	* fr30/eval1/eval.c: Modified serial driver to remove need for external
	buffering. Support irq enable/disable ops. Use new network interface.
	* include/net.h: New and updated prototypes.
	* include/bsp/bsp.h: Added prototypes.
	* include/bsp_if.h: Added defines for new comm port control ops.
	* net/socket.c: Added non-blocking read.
	* common/bsp_if.c: Added functions to enable/disable debug interrupts.
	* common/sysinfo.c (_bsp_sysinfo): Handle network channel.
	* common/main.c (main): If we're using a network channel, force console
	to that same channel.
	* common/bsp.c: Cleaned up support for network channel.
	* common/net.c: Ditto.

Thu Feb 11 11:53:41 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/ebix-db/ebix.c: First pass at the ebix board bsp.
	* arm/ebix-db/init_ebix.S: Ditto.
	* arm/ebix-db/include/bsp/ebix.h: Ditto.
	
	* arm/brutus/brutus-rom.specs: Changed the default defines.
	* arm/brutus/brutus.specs: Ditto.
	* arm/ebsa285/ebsa-rom.specs: Ditto.
	* arm/ebsa285/ebsa.specs: Ditto.
	* arm/sa1100-multimedia/sa1100-rom.specs: Ditto.
	* arm/sa1100-multimedia/sa1100.specs: Ditto.
	* arm/ebix-db/ebix-rom.specs: Ditto.  Also setup the text and data
 	addresses
	* arm/ebix-db/ebix.specs: Ditto.
	
	* arm/irq-cpu.c (_bsp_install_cpu_irq_controllers): Added code
	for the SA110 microcontroller.
	* arm/include/bsp/cpu.h: Ditto:
	
	* arm/cpu.mk (CPU_DEPENDS): Added new make variable that is added
 	to the end of the ALL_DEPENDS macro.
	* common/common.mk: Ditto:
	* arm/aeb-1/board.mk (BOARD_DEPENDS): Ditto.
	* arm/ebix-db/board.mk (BOARD_DEPENDS): Ditto. Also included
 	sa-110.o in build.

	* configure.in: Added strongarm-*-elf target, and ebix-db board.
	* configure: Regenerated.

	* arm/include/bsp/sa-110.h: New file.
	* arm/sa-110.c: New file.

1999-02-09  Mark Salter  <msalter@cygnus.com>

	* configure.in: Changed test from sparc86x to sparclite.
	* configure: Regenerated.
	* sparc/mb8683x/mb86x-rom.specs: Fixed for sparclite target.
	* sparc/mb8683x/mb86x.specs: Ditto.
	* sparc/mb8683x/mb.c: Fleshed out serial support.
	* sparc/mb8683x/board.mk (BOARD_CFLAGS): Added -DBOARD_MB8683X.
	* sparc/include/mb86940.h: Added defined and inline functions to
	read/write mb86940 registers.
	* sparc/vectors.S: Added default handler to flash trap number on leds.
	* sparc/start.S: Commented out ctors/dtors stuff for now.

1999-02-08  Nick Clifton  <nickc@cygnus.com>

	* configure.in: Add support for StrongARM target.
	* configure: Regenerate.

Fri Feb 05 15:32:53 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/brutus/board.mk: New file.
	* arm/brutus/brutus-rom.specs: New file.
	* arm/brutus/brutus.c: New file.
	* arm/brutus/brutus.ld: New file.
	* arm/brutus/brutus.specs: New file.
	* arm/brutus/init_brutus.S: New file.
	* arm/brutus/include/bsp/brutus.h: New file.
	* arm/ebix-db/board.mk: New file.
	* arm/ebix-db/ebix-rom.specs: New file.
	* arm/ebix-db/ebix.c: New file.
	* arm/ebix-db/ebix.ld: New file.
	* arm/ebix-db/ebix.specs: New file.
	* arm/ebix-db/init_ebix.S: New file.
	* arm/ebix-db/include/bsp/ebix.h: New file.
	* arm/ebsa285/board.mk: New file.
	* arm/ebsa285/ebsa-rom.specs: New file.
	* arm/ebsa285/ebsa.c: New file.
	* arm/ebsa285/ebsa.ld: New file.
	* arm/ebsa285/ebsa.specs: New file.
	* arm/ebsa285/init_ebsa.S: New file.
	* arm/ebsa285/include/bsp/ebsa.h: New file.
	* arm/sa1100-multimedia/board.mk: New file.
	* arm/sa1100-multimedia/init_sa1100.S: New file.
	* arm/sa1100-multimedia/sa1100-rom.specs: New file.
	* arm/sa1100-multimedia/sa1100.c: New file.
	* arm/sa1100-multimedia/sa1100.ld: New file.
	* arm/sa1100-multimedia/sa1100.specs: New file.
	* arm/sa1100-multimedia/include/bsp/sa1100.h: New file.

Thu Feb 04 14:19:48 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/pid/armpid.c (uart_irq_handler): Make sure we mask values
	read from the UART_RX_HOLDING register to 16 bits.

Wed Feb 03 16:20:25 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/aeb-1/aeb-1.specs: Load the applications at 0x10000 rather
	than 0x8000.
	* arm/pid/armpid.specs: Ditto.
	* m68k/328ads/328ads.specs.coff: Ditto.
	* m68k/328ads/328ads.specs.elf: Ditto.

	* arm/vectors.S: Make the exception stack 16k rather than 64k.

Wed Feb 03 08:51:37 1999  Drew Moseley  <dmoseley@cygnus.com>

	* common: Added new files.

Tue Feb 02 15:08:54 1999  Drew Moseley  <dmoseley@cygnus.com>

	* common/common.mk: Added new files and dependencies

	* arm/aeb-1/aeb-1.ld: Added a provide of _end.
	* arm/pid/armpid.ld: Ditto.

	* arm/aeb-1/aeb-1-rom.specs: Added explicit -u option to symbols
	that we define that are also defined in newlib/libc/sys/arm/syscall.c.
	This forces the linker to use our functions.
	* arm/aeb-1/aeb-1.specs: Ditto.
	* arm/pid/armpid-rom.specs: Ditto.
	* arm/pid/armpid.specs: Ditto.

	* arm/c_start.c: Removed unnecessary include of BOARD_HEADER

	* common/raise.c: New File.
	* common/unlink.c: New File.
	* common/gettimeofday.c: New File.
	* common/times.c: New File.
	
1999-02-01  Mark Salter  <msalter@cygnus.com>

	* fr30/eval1/mb86964.c: Added debug code and tweaked status reading.
	* fr30/eval1/eval.c: Use current clock settings to determine timer
	values and baudrate divisors. Supports 25, 12.5, and 6.25MHz busses.
	* fr30/eval1/init_eval.S: Set PLL, CPU, and bus speed according to SW1
	setting on motherboard.
	* fr30/eval1/board.mk (BOARD_CFLAGS): No longer need define for CLK
	setting. This is now done from DIP switch.
	* fr30/eval1/README: New file.

	* ppc/evb403/evb.c (sio_irq_handler): Fixed to handle line interrupts
	and timeout interrupts.
	* ppc/cma101/cma101.c (uart_irq_handler): Ditto.
	* ppc/singlestep.c (bsp_singlestep_setup): Added code to decode opcodes
	and insert breakpoints for singlestepping. The singlestepping support
	for the PPC403 seems to be broken.
	* ppc/cache4xx.S: Added sync after dcache flush, isync after icache
	flush.
	* ppc/gdb-cpu.c (bsp_get_signal): Return TARGET_SIGNAL_INT for
	external interrupts.

	* common/gdb.c (_bsp_gdb_handler): Fixed cache flushing after memory
	writes.

	* common/net.c (_bsp_net_init): Clean up after BOOTP failure so we can
	fall back to a serial channel.

Mon Feb 01 11:02:33 1999  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Added 328ads, armpid and aeb-1 boards back
	in, and modified the link options to get libc from ../../newlib.
	* configure: Regenerated
	* arm/aeb-1/board.mk (BOARD_LDFLAGS): Modified the link options to 
	get libc from ../../newlib.
	* arm/pid/board.mk (BOARD_LDFLAGS): Ditto.
	* m68k/328ads/board.mk (BOARD_LDFLAGS): Ditto.

1999-02-01  Drew Moseley  <dmoseley@cygnus.com>

	* configure.in: Removed 328ads, armpid and aeb-1 boards
	temporarily since they were breaking the build.

Wed Jan 27 15:03:24 1999  Drew Moseley  <dmoseley@cygnus.com>

	* common/bsp.c: Cleaned up debug code.

	* arm/aeb-1/aeb-1.c (DEBUG_UART_CODE): Turn off Debugging

	* arm/vectors.S: Make sure we call UPDATE_REGS_FOR_EXCEPTION_RETURN.

	* arm/irq-cpu.c (generic_exception_handler): Added interrupt controllers
	and proper bsp handling of irq's.
	* arm/pid/armpid.c: Ditto
	* arm/pid/include/bsp/armpid.h: Ditto

	* arm/cpu.c (DEBUG_SYSCALL): Turn off debugging

Thu Jan 21 15:46:51 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/bsp-crt0.S: Finished up single-step code.  All mode 1 and 2
 	instructions are now supported, as are all load/store multiple.
	* arm/singlestep.c: Ditto

1999-01-21  Mark Salter  <msalter@cygnus.com>

	* mips/dve39/i82596.c: Converted to latest driver format.

Wed Jan 20 13:51:38 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/bsp-crt0.S : First pass at real single-stepping.  Now supports
	Addressing modes 1 & 2.
	* arm/irq-cpu.c: Ditto
	* arm/singlestep.c: Ditto
	* arm/include/insn.h: Ditto
	
	* common/gdb.c (_bsp_gdb_handler): Make variable stepping static, and
	send the start packet if "continuing" or "stepping.

1999-01-19  Mark Salter  <msalter@cygnus.com>

	* common/printf.c (bsp_dvprintf): New function.
	(bsp_dprintf): New function.
	* include/bsp/bsp.h: Prototypes for new functions.

	* ppc/cma101/cma101.c (init_uart): Turn on FIFOs.
	* ppc/bsp.ld: Fixed section alignment.
	* ppc/bsp-crt0.S (_start): Fixed relocation problem.

Fri Jan 15 14:22:57 1999  Drew Moseley  <dmoseley@cygnus.com>

	* arm/bsp-crt0.S: Got basic exception (other than SWI) processed.
	* arm/cpu.c: Ditto
	* arm/gdb-cpu.c: Ditto
	* arm/irq-cpu.c: Ditto
	* arm/singlestep.c: Ditto
	* arm/start.S: Ditto
	* arm/vectors.S: Ditto
	* arm/aeb-1/aeb-1.ld: Ditto
	* arm/include/gdb-cpu.h: Ditto
	* arm/include/insn.h: Ditto
	* arm/include/bsp/cpu.h: Ditto
	* arm/pid/armpid.c: Ditto
	* arm/pid/armpid.ld: Ditto

	* m68k/include/bsp/cpu.h (__get_sp): New function
	(__set_sp): New function

	* m68k/328ads/328ads.specs.elf: Added BOARD_HEADER definition.
	* m68k/328ads/328ads.specs.coff: Ditto
	* m68k/328ads/328ads-rom.specs.elf: Ditto
	* m68k/328ads/328ads-rom.specs.coff: Ditto

	* m68k/start.S: Added include of BOARD_HEADER if debugging.

	* m68k/irq-cpu.c (processException): Make sure interrupts are disabled
	when we drop into the debug stub.

	* common/printf.c (_bsp_assert): Added bsp_assert code and appropriate
	ifdefs to mimic standard C asserts using bsp_printf.
	* include/bsp/bsp.h (BSP_ASSERT): Ditto
	(BSP_MEM_ROM): Modified definition of BSP_MEM_ROM to be different that
	BSP_MEM_RAM.

	* configure.in: Changed definition of NEED_UNDERSCORE to fit the new definition
	in the toolchain
	* configure: Regenerated

1999-01-15  Mark Salter  <msalter@cygnus.com>

	* ppc/mbx/mbx.c: Support additional baud rates. Default 9600.

	* fr30/bsp-crt0.S (_start): Added support to call contructors and
	deconstructors.
	* fr30/start.S: Ditto.
	* fr30/fr30.ld: Moved .init in with .text.
	* fr30/eval1/eval1-rom.specs: Added start and end files.
	* fr30/eval1/eval1.specs: Ditto.

	* common/gdb.c (_bsp_gdb_handler): Put in a minor hack to prevent hang
	if user does 'continue' before 'load'.

1999-01-11  Mark Salter  <msalter@cygnus.com>

	* mips/start.S: Remove leftover debug statements specific to jmr.

	* include/gdb.h (GDB_TCP_SOCKET): Change tcp socket to 1000 to match
	gdbtk default.

	* ppc/cma101/mb86964.c: Fixed some init values. Add local ethernet
	address to outgoping packets.

	* ppc/cma101/cma101.c (_bsp_board_init): Use SW1-1 to decide between
	tcp or serial interface.

	* ppc/cpu.c (_bsp_ms_ticks): Fixed counter diff calculation.

	* fr30/eval1/mb86964.c: Added support for handling endianess issues.
	Added more debugging help.

1999-01-07  Mark Salter  <msalter@cygnus.com>

	* fr30/eval1/init_eval.S: Expand range of CS1. Don't enable RDY	input.

	* common/bsp_if.c (bsp_install_dbg_handler): Add dcache flush.
	(bsp_install_kill_handler): Ditto.
	(bsp_console_read): Add support for ungetc.
	* include/bsp/bsp.h: Add prototypes for bsp_console_ungetc and
	bsp_debug_ungetc.

	* common/gdb.c (_bsp_gdb_handler): Don't send packet after a kill.

	* ppc/include/bsp/ppc4xx.h: Added some inlines to get/set special regs.
	* ppc/gdb-cpu.c (bsp_get_signal): Deal with debug exception on ppc403.
	* ppc/singlestep.c: Fixed singlestepping for ppc403.
	* ppc/start.S: Fix handling of machine check and debug exception on
	ppc403.

1999-01-05    <dmoseley@cygnus.com>

	* bsp/m68k/bsp-crt0.S: Brought into sync with all the mods that occurred
	in the arm port.
	* bsp/m68k/cpu.mk: Ditto
	* bsp/m68k/irq-cpu.c: Ditto
	* bsp/m68k/start.S: Ditto
	* bsp/m68k/vectors.S: Ditto
	* bsp/m68k/328ads/328ads-rom.specs.coff: Ditto
	* bsp/m68k/328ads/328ads-rom.specs.elf: Ditto
	* bsp/m68k/328ads/328ads.c: Ditto
	* bsp/m68k/328ads/328ads.specs.coff: Ditto
	* bsp/m68k/328ads/328ads.specs.elf: Ditto
	
	* bsp/common/common.mk: Make sure all startup files get installed.

	* bsp/common/main.c: Added commented out code to switch the
	console port to port 1 * bsp/common/gdb.c: Debug message cleanups

	* bsp/include/bsp_if.h: Added prototype for _bsp_init()

	* bsp/include/bsp_start.h: New file (C code versions of crt0 stuff)
	
	* configure.in: Added aeb-1 eval board.
	* configure: Regenerated
	* bsp/arm/aeb-1/aeb-1-rom.specs: New file
	* bsp/arm/aeb-1/aeb-1.c: New file
	* bsp/arm/aeb-1/aeb-1.ld: New file
	* bsp/arm/aeb-1/aeb-1.specs: New file
	* bsp/arm/aeb-1/board.mk: New file
	* bsp/arm/aeb-1/init_aeb-1.S: New file
	* bsp/arm/aeb-1/include/bsp/aeb-1.h: New file
	* bsp/arm/include/insn.h: New file

	* bsp/arm/bsp-crt0.S: Heavy modifications for initial implementation
	of ARM bsp.
	* bsp/arm/c_bsp-crt0.c: Ditto
	* bsp/arm/c_start.c: Ditto
	* bsp/arm/cpu.c: Ditto
	* bsp/arm/cpu.mk: Ditto
	* bsp/arm/gdb-cpu.c: Ditto
	* bsp/arm/irq-cpu.c: Ditto
	* bsp/arm/singlestep.c: Ditto
	* bsp/arm/start.S: Ditto
	* bsp/arm/trap.S: Ditto
	* bsp/arm/vectors.S: Ditto
	* bsp/arm/pid/armpid-rom.specs: Ditto
	* bsp/arm/pid/armpid.c: Ditto
	* bsp/arm/pid/armpid.ld: Ditto
	* bsp/arm/pid/armpid.specs: Ditto
	* bsp/arm/pid/board.mk: Ditto
	* bsp/arm/pid/init_armpid.S: Ditto
	* bsp/arm/pid/include/bsp/armpid.h: Ditto
	* bsp/arm/vectors.S: New file

1999-01-05  Mark Salter  <msalter@cygnus.com>

	* fr30/bsp-crt0.S (_start): Fixed problem with .bss initialization.

	* fr30/start.S: Fixed problem with .bss and .data initialization.

	* fr30/eval1/eval.c (_bsp_init_board_comm): Set default baud to 57.6K.

	* fr30/cpu.mk (CPU_CFLAGS): Remove -DMISSING_SYSCALL_NAMES.

	* common/gdb.c (_bsp_gdb_handler): Save original context so that it can
	be restored whenever a program is killed.

	* fr30/eval1/init_eval.S: Fix clock setup.

1999-01-04  Mark Salter  <msalter@cygnus.com>

	* ppc/evb403/evb403_rom.specs: Fixed multilib selection.
	* ppc/mbx/mbx.specs: Ditto.
	* ppc/mbx/mbx_rom.specs: Ditto.
	* ppc/cma101/cma.specs: Ditto.
	* ppc/cma101/cma_rom.specs: Ditto.
	* ppc/evb403/evb403.specs: Ditto.

	* mips/start.S: Fixed initialization of _bsp_ram_info_ptr.
	* mips/mem.c (bsp_memory_read): Added missing local declarations.
	* mips/jmr3904/jmr3904-rom.specs: Change address of data to be a
	cached address.
	* mips/jmr3904/jmr.c: Fixed uart read and write routines.
	* mips/jmr3904/init_jmr.S: Fixed cache init and RAM test.

	* fr30/start.S: Fixed exception handler.
	* fr30/singlestep.c: Do singlestep by decoding insn and setting
	breakpoints. Trace flag appears to be broken.
	* fr30/irq-cpu.c: Fixed enable and disable functions.
	* fr30/include/bsp/cpu.h: Modified exception numbers and modified
	exception frame.
	* fr30/gdb-cpu.c (bsp_get_signal): Fixed signal calculation.
	* fr30/eval1/mb86964.c: Fixed for 16-bit bus width.
	* fr30/eval1/mb86964.h: Ditto.
	* fr30/eval1/eval.c (_bsp_ms_ticks): Add millisecond tick counter for
	network code.
	(_bsp_board_init): Check SW1 to decide if we're using tcp or serial.
	* fr30/eval1/board.mk (BOARD_OBJS): Add mb86964.o to list.
	* fr30/cpu.mk (CPU_OBJS): Add generic-reg.o and cache.o to list.
	* fr30/cpu.c (_bsp_cpu_init): Add cache support.
	* fr30/cache.S: New file for cache support.
	* fr30/bsp-crt0.S (_start): Cleaned up.

	* include/net.h: Add prototype for _bsp_net_init().

	* common/gdb.c (_bsp_gdb_handler): Send a packet in response to 'k'
	packet.

	* common/net.c (_bsp_net_init): Add printf when bootp fails.

	* common/irq-rom.c (DEBUG_DISPATCH): Allow commandline override.

	* common/bsp.c (DEBUG_BSP_INIT): Allow commandline override.

	* common/breakpoint.c (bsp_breakpoint): Added some debugging aids.

1998-12-20  Mark Salter  <msalter@cygnus.com>

	* fr30/gdb-cpu.c (bsp_regbyte): Completed implementation.
	* fr30/eval1/eval1-rom.specs: Link to use DRAM instead of SRAM.
	* fr30/eval1/mb86964.c: New file.
	* fr30/eval1/mb86964.h: New file.
	* fr30/eval1/eval.c (uart_setbaud): Cleaned up.

	* am30/include/bsp/cpu.h: Added enum __regnames.

	* ppc/cma101/cma.specs: Fixed multilib selection.
	* ppc/cma101/cma_rom.specs: Ditto.
	* ppc/mbx/mbx.specs: Ditto.
	* ppc/mbx/mbx_rom.specs: Ditto.
	* ppc/bsp-crt0.S (_start): Fixed stack alignment problem.

	* configure.in: Added evb403 for ppc target.
	* configure: Regenerated.
	* ppc/evb403/*: Support for IBM PPC403 eval board.
	* ppc/include/bsp/ppc4xx.h: New file.
	* ppc/cache4xx.c: New file. PPC4xx cache support.
	* ppc/bsp.ld: Added sections to support PPC403 reset peculiarities.
	* ppc/cpu.c (_bsp_cpu_init): Added PPC4XX specific initialization.
	* ppc/include/bsp/cpu.h: Added PPC4XX support.
	* ppc/irq-cpu.c: Added support for IBM 403GA interrupt controller.
	* ppc/start.S: Added support for PPC4XX family.

	* common/generic-mem.c: New file.
	* common/generic-reg.c: New file.
	* mips/mem.c: New file.
	* fr30/reg.c: New file.
	* common/common.mk: Added rules for generic-mem.o and generic-reg.o
	* include/bsp/bsp.h: Added prototypes for memory and register access.
	* common/gdb.c: Use bsp provided functions to access inferior memory
	and regs
	* ppc/cpu.mk: Add generic-mem.o and generic-reg.o to CPU_OBJS.
	* am30/cpu.mk: Ditto.
	* arm/cpu.mk: Ditto.
	* m68k/cpu.mk: Ditto.
	* mips/cpu.mk: Added generic-reg.o and mem.o to CPU_OBJS.
	* fr30/cpu.mk: Added generic-mem.o and reg.o to CPU_OBJS.

1998-12-15  Mark Salter  <msalter@cygnus.com>

	* include/bsp/bsp.h: Added prototypes for bsp_memory_read and
	bsp_memory_write.

	* mips/jmr3904/jmr.c: Fixed typo in comments.

	* common/common.mk (OBJCOPY_FLAGS): Added --gap-fill=255 to speed
	ROM programming.

	* configure.in: Add test for fr30-*-elf.
	* configure: Regenerated.

	* fr30: New architecture support added.

1998-12-04  Mark Salter  <msalter@cygnus.com>

	* am30/eval1/eval1.c (uart2_setbaud): Fixed compile error.
	* am30/eval1/board.mk (BOARD_LDFLAGS): Added -L path to newlib.
	* mips/jmr3904/board.mk (BOARD_LDFLAGS): ditto.
	* mips/dve39/board.mk (BOARD_LDFLAGS): ditto.

1998-11-24  Mark Salter  <msalter@cygnus.com>

	* common/bsp.c (_bsp_init): First cut at support for network link layer
	  driver. This is pretty hackish and will change shortly.
	* include/bsp_if.h: Added prototype for _bsp_net_procs.
	* include/net.h: New file.
	* commom/net.c: New file.
	* ppc/cma101/mb86964.c: New file.
	* ppc/cma101/sed.c: Removed.
	* net: New directory with polling based network stack.
	* common/common.mk: Added common network files.
	* common/gdb.c (_bsp_gdb_handler): Minor fixes uncovered by tcp comm.
	* ppc/cma101/board.mk: Removed sed.o, added mb86964.o
	* ppc/cma101/cma101.c: New support for ethernet channel.

Thu Nov 19 11:51:07 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/include/bsp/cpu.h : Added register offset #defines and STKFRM_SIZE
	#define for assembly code.
	* m68k/start.S: Modified exception return code to properly handle the
	separate exception stack.  Now gdb function calls work.
	* m68k/irq-cpu.c (processException): Modified routine to return the
	frame pointer modified as necessary for the rte instruction.  This allows
	the exception return code to properly handle a separate exception stack.

Tue Nov 17 13:44:32 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/start.S: Code to handle switching to a separate exception stack.
	* m68k/irq-cpu.c (stack_dump): New debug code to debug the stack switching.
	* m68k/bsp-crt0.S: Removed unused DEBUG_ option

Mon Nov 16 14:31:05 1998  Drew Moseley  <dmoseley@cygnus.com>

	* common/common.mk: Changes to fully specify path name for specs file.
	* arm/: New subdirectory.  First pass at arm stuff.

1998-11-12  Mark Salter  <msalter@cygnus.com>

	* common/common.mk (gdb.o): Removed tcp.h dependency.

1998-11-11  Mark Salter  <msalter@cygnus.com>

	* common/gdb.c: Removed tinyTCP related hacks.
	* common/arp.c: Removed.
	* common/tcp.c: Removed.
	* include/tcp.h: Removed.
	* include/gdb.h: Removed unneeded tcp prototype.
	* common/common.mk (COMMON_TCP_OBJS): Removed list.

	* ppc/mbx/mbx.c: Fixed smc1 uart interrupt handling.

	* ppc/mbx/init_mbx.S: Removed unnecessary delay loop.

	* ppc/cma101/cma101.c (uart_getchar): Added input queue support
	to keep from losing characters when interrupts are enabled.

	* ppc/bsp-crt0.S (_start): Added trap to get shared data pointer.

Fri Oct 30 15:26:37 1998  Drew Moseley  <dmoseley@cygnus.com>

	* am30/cpu.mk: Modified handling of specs files and linker scripts.
	Now they are copied to the objdir before building.  This will ensure
	that the latest versions of these files are used in case you have
	a bsp installed w/ a toolchain.
	* am30/eval1/board.mk: Ditto
	* common/common.mk: Ditto
	* m68k/cpu.mk: Ditto
	* m68k/328ads/board.mk: Ditto
	* mips/cpu.mk: Ditto
	* mips/dve39/board.mk: Ditto
	* mips/jmr3904/board.mk: Ditto
	* ppc/cpu.mk: Ditto
	* ppc/cma101/board.mk: Ditto
	* ppc/mbx/board.mk: Ditto

Wed Oct 28 15:10:22 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/328ads/328ads.c (DEBUG_INT_CODE): removed obsolete DEBUG code

	* configure.in: Added support for m68k-coff target
	* configure: Regenerated (support for m68k-coff)
	* m68k/328ads/328ads-rom.specs: Removed file (support for m68k-coff)
	* m68k/328ads/328ads.specs: Removed file (support for m68k-coff)
	* m68k/328ads/328ads-rom.specs.coff: New file (support for m68k-coff)
	* m68k/328ads/328ads-rom.specs.elf: New file (support for m68k-coff)
	* m68k/328ads/328ads.specs.coff: New file (support for m68k-coff)
	* m68k/328ads/328ads.specs.elf: New file (support for m68k-coff)
	* m68k/328ads/328ads.ld: Support for m68k-coff
	* m68k/328ads/board.mk (BOARD_SPECS): Support for m68k-coff

1998-10-28  Mark Salter  <msalter@cygnus.com>

	* mips/jmr3904: New directory for jmr3904 PCI board.
	
	* mips/irq-cpu.c: Added support for R3904 interrupt controller.

	* mips/include/bsp/cpu.h (R3904_IMR): Added defines for R3904 internal
	regs. Changed R3900 NMI from interrupt to exception.

	* mips/dve39/dve.c (dga_irq_dispatch): NMI is an exception, not an irq.

	* configure.in: Added jmr3904 board for mips-tx39-elf builds.
	* configure: Updated.

Mon Oct 26 15:51:40 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/328ads/328ads.c (_bsp_comm_list): Changed order of definition
	of the comm ports so the default debug port corresponds to the ADS
	debug port.

	* common/main.c (main): Removed call to bsp_set_comm_port()
	which was accidentally left in after testing.

Sat Oct 24 13:20:02 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/328ads/328ads.ld: Don't relocate the data section when
	building for RAM.  Access the data in place.  Also, general
	alignment cleanups to ensure no problems.
	* m68k/328ads/328ads.specs: Ditto

	* m68k/328ads/328ads.c (uart_putchar): Make function static.
	(uart_irq_handler): Fixed ctrl-C handling code.

	* m68k/trap.S: Use SYSCALL macro rather than an inline trap
 	instruction.

	* m68k/singlestep.c (bsp_skip_instruction): Use #define for
	GDB_BREAKPOINT_INST_SIZE

	* m68k/irq-cpu.c (processException): Adjust the PC when a
	breakpoint exception occurs if this is a breakpoint that GDB
	inserted.  This will allow GDB to execute the instruction.
	(processException): When returning from exception, make sure
	we fill in the stack frame SR and PC from the register image
	in case GDB modified either one.

	* m68k/cpu.c (syscall_handler): Some more debugging code.
	(syscall_handler): Fixed syscall handling bug.  Make sure
	the parameters we pull off the stack are the right values.

	* m68k/bsp-crt0.S: Fix bug where data section was getting copied
	improperly.  Also, some general cleanup.
	* m68k/start.S: Ditto

	* common/gdb.c (_bsp_gdb_handler): Added call to bsp_get_signal before
	printing the value when the debug code is run.

1998-10-26  Mark Salter  <msalter@cygnus.com>

	* ppc/include/bsp/cpu.h: Added enum __regnames.

	* ppc/cma101/cma101.c (uart_setbaud): Fixed return value.

	* ppc/cma101/cma.specs: Removed -DHAVE_NET.
	* ppc/cma101/cma_rom.specs: ditto.
	
	* ppc/cma101/board.mk (BOARD_LDFLAGS): Add path to correct newlib dir.
	* ppc/mbx/board.mk (BOARD_LDFLAGS): Ditto.

1998-10-22  Mark Salter  <msalter@cygnus.com>

	* common/sysinfo.c: New file to support queries of system info.
	* common/common.mk: Added sysinfo.o to COMMON_OBJS.
	
	* common/bsp.c: Support new comm mechanism and queries of system info.
	
	* common/syscall.c (sys_write): Now translates \n to \r\n here.
	
	* common/printf.c (bsp_vprintf): Use bsp API for putc function.
	
	* common/main.c (print_banner): New function to print some system info.
	
	* common/bsp_if.c: New comm port interface. Added sysinfo interface.
	* common/gdb.c: Use new comm port interface.
	
	* include/bsp_if.h: Modified comm handling and added sysinfo.
	* include/bsp/bsp.h: ditto.
	
	* am30/eval1/init_eval1.S: Save mem info on stack.
	* mips/dve39/init_dve.S: ditto.
	* ppc/cma101/init_cma286.S: ditto.
	* ppc/mbx/init_mbx.S: ditto.
	
	* am30/start.S: Move mem info pointer from stack to _bsp_mem_info_ptr.
	* mips/start.S: ditto.
	* ppc/start.S: ditto.
	
	* am30/eval1/eval1.c: Modified to use new comm mechanism.
	* mips/dve39/dve.c: ditto.
	* ppc/cma101/cma101.c: ditto.
	* ppc/mbx/mbx.c: ditto.

Mon Oct 19 15:05:04 1998  Drew Moseley  <dmoseley@cygnus.com>

	* m68k/start.S: Cleanup of 68k startup code.
	* m68k/328ads/init_328ads.S: Ditto

	* m68k/irq-cpu.c (dball_irq_dispatch): Clean up of 328ADS interrupt
	control code.  It is no longer necessary to install a separate interrupt
	controller for the ADS interrupts (DUART, etc).
	* m68k/328ads/328ads.c: Ditto
	* m68k/328ads/include/bsp/328ads.h: Ditto
	* m68k/include/bsp/cpu.h (BSP_68328_INT_MASK): Ditto

	* bsp/m68k/328ads/328ads.ld: New file.  
	Replaces bsp/m68k/bsp328ads.ld

	* common/bsp_if.c (bsp_cpu_data): Modified shadow register 
	handling to handle and board specific or user specific data.
	* include/bsp_if.h: Ditto
	* include/bsp/bsp.h: Ditto
	* m68k/cpu.c (_bsp_cpu_init): Ditto

	* common/bsp.c: Modified the default bsp_shared data structure
	to nullify the appropriate fields

	* am30/singlestep.c (bsp_skip_instruction): removed unused regs
	pointer local variable.

	* am30/cpu.mk: Severe modification of makefile handling.  All 
	bsp's are now linked w/ their own specs file.  All bsp specific
	options (startfiles, predefines, -m options, etc) are to come
 	from the specs file rather than the Makefiles.
	* am30/eval1/board.mk: Ditto
	* am30/eval1/eval1-rom.specs: Ditto
	* common/common.mk: Ditto
	* m68k/cpu.mk: Ditto
	* m68k/328ads/328ads-rom.specs: Ditto
	* m68k/328ads/328ads.specs: Ditto
	* m68k/328ads/board.mk: Ditto
	* mips/cpu.mk: Ditto
	* mips/dve39/board.mk: Ditto
	* mips/dve39/dve-rom.specs: Ditto
	* mips/dve39/dve.specs: Ditto
	* ppc/cpu.mk: Ditto
	* ppc/cma101/board.mk: Ditto
	* ppc/cma101/cma.specs: Ditto
	* ppc/cma101/cma_rom.specs: Ditto
	* ppc/mbx/board.mk: Ditto
	* ppc/mbx/mbx.specs: Ditto
	* ppc/mbx/mbx_rom.specs: Ditto
	
Wed Oct 14 09:48:34 1998  Drew Moseley  <dmoseley@cygnus.com>

	* mips/dve39/dve.c (uart_irq_clear): Made this function static.
	* include/bsp/bsp.h: Added shadow register handling prototypes.
	* include/bsp_if.h: Added __cpu_shadow and __board_shadow fields
	to the shared data structure.
	* common/bsp_if.c (bsp_cpu_shadow): New routine to handle shadow
	registers.  Defined by CPU specific code.
	(bsp_board_shadow): New routine to handle shadow registers.
  	Defined by board specific code.
	* common/bsp.c (DEBUG_BSP_INIT): Changed Debugging code to use #if
	rather than #ifdef
	* configure.in: Added instructions for building m68k-elf target
	* configure: Regenerated

1998-09-29  Mark Salter  <msalter@cygnus.com>

	* mips/singlestep.c (bsp_skip_instruction): New routine.
	* am30/singlestep.c (bsp_skip_instruction): Ditto.
	* ppc/singlestep.c (bsp_skip_instruction): Ditto.
	* include/bsp/bsp.h: Add protoype for bsp_skip_instruction.
	* common/gdb.c (_bsp_gdb_handler): Use bsp_skip_instruction instead of
	directly manipulating PC.
	* mips/include/gdb-cpu.h: Removed BP_INCR definition.
	* am30/include/gdb-cpu.h: Ditto.
	* ppc/include/gdb-cpu.h: Ditto.

Fri Sep 25 12:03:06 1998  Drew Moseley  <dmoseley@cygnus.com>

	* am30/cpu.c : Cleanups to remove compiler warnings
	* am30/singlestep.c : Cleanups to remove compiler warnings
	* am30/eval1/eval1.c : Cleanups to remove compiler warnings

1998-09-25  Mark Salter  <msalter@cygnus.com>

	* common/bsp_if.c (bsp_invoke_dbg_handler): New routine.
	* include/bsp/bsp.h: Added prototype.

	* ppc/start.S: Added conditional call to debug stub when exceptions
	are not handled by application code.

1998-09-24  Mark Salter  <msalter@cygnus.com>

	* am30/cpu.mk (cpu-install): Use mkinstalldirs.

	* ppc/bsp.ld: Removed some unneeded pieces.

	* ppc/bsp-crt0.S (_start): Removed reference to weak symbol __stack as
	bsp always provides a stack.

	* ppc/start.S: Removed special section ".vectors" as the vector code
	is ok being placed in .text.

	* include/bsp-trap.h: No longer need to remove leading underscore
	from isatty when MISSING_SYSCALL_NAMES defined.

	* common/isatty.c (isatty): Removed leading underscore from function
	name.

	* configure.in: Added case for mn10300. Regenerated configure.

	* Added am30 subdir.

Thu Sep 24 14:31:40 1998  Drew Moseley  <dmoseley@cygnus.com>

	* common/common.mk: Changed output name to bsp.rom so it would
	work OK under windows.

Thu Sep 24 11:16:54 1998  Drew Moseley  <dmoseley@cygnus.com>
	* ppc/cpu.mk (MKINSTALLDIRS): Added call to mkinstalldirs
	* mips/cpu.mk (MKINSTALLDIRS): Added call to mkinstalldirs
	* mkinstalldirs: New file
	* common/bsp.c: Cleanups to eliminate compiler warnings.
	* common/gdb.c: Cleanups to eliminate compiler warnings.
	* common/print.c: Cleanups to eliminate compiler warnings.
	* common/printf.c: Cleanups to eliminate compiler warnings.
	* common/tcp.c: Cleanups to eliminate compiler warnings.
	* ppc/irq-cpu.c: Cleanups to eliminate compiler warnings.
	* ppc/mbx/mbx.c: Cleanups to eliminate compiler warnings.

1998-09-24  Mark Salter  <msalter@cygnus.com>

	* Initial checkin to devo

